'''

建文件夹的类
当isMakeDir用于返回所需建立文件夹的名字列表
当isMakeDir为1时才为建立文件夹的模式
nameList为文件夹名字的列表
indexList为为文件索引的列表
AllNameLen建文件夹列表的总长度
partPath 为所在部分的路径
'''
import os
import traceback
import re

import pandas as pd


class MkdirObject:

    def __init__(self, nameList, indexList, filePath, isMakeDir, Separator = "  ",deepNum = 3, communication = None, partPath= "", AllDirLen ="", StartIndex = 0):
        #判断是自调用还是通过父类函数调用
        self.communication = communication
        #要用到原始名字和索引的列表
        self.nameList = nameList
        #变为数字的索引列表
        self.indexList = indexList
        #建文件夹的深度
        self.deepNum = deepNum
        #索引的字典
        self.indexDict = dict()
        #文件夹位置
        if partPath:
            self.filePath = filePath + "\\" + partPath
        else:
            self.filePath = filePath
        #分隔符
        self.Separator = Separator
        #建文件夹的字典
        self.makeDict = dict()
        #最大深度
        self.maxDeep = 1
        self.chineseNumList = ['一', '二', '三', '四', '五', '六', '七', '八', "九"]
        #用于存放父一级索引的列表
        self.ParentIndexlist = []
        #用于存放父一级文件夹名字的列表
        self.ParentDirList = []
        #匹配索引为第*章的正则
        self.titlepattern = re.compile('第(\s)*([一,二,三,四,五,六,七,八,九,十]{1,3})(\s)*章')
        #是否创建dir
        self.isMakeDir = isMakeDir
        #文件夹已经存在的错误列表
        self.ExsitList = []
        #其他错误导致文件夹无法创建的列表
        self.OtherList = []
        #所有要建文件夹的长度
        self.AllDirLen = AllDirLen
        self.StartIndex = StartIndex

    def chineseNum(self, chineseIndex):
        # 判断中文的索引是否是以中文的十为开始
        if chineseIndex.startswith("十"):
            if chineseIndex != "十":
                wordIndex = 10 + self.chineseNumList.index(chineseIndex.replace("十", "")) + 1
            else:
                wordIndex = 10
            return wordIndex

        elif "十" in chineseIndex:
            numIndex = chineseIndex.replace("十", "")
            wordIndex = (self.chineseNumList.index(numIndex[0]) + 1) * 10 + self.chineseNumList.index(numIndex[1]) + 1
            return wordIndex

        else:
            wordIndex = self.chineseNumList.index(chineseIndex[0]) + 1
            return wordIndex

    #生成创建文件夹的列表
    def getMakeDict(self):
        if not os.path.exists(self.filePath):
            os.mkdir(self.filePath)
        #索引列表
        for i in self.indexList:
            #创建字典的列表
            deep = len(str(i[0]).split("-"))
            if deep <= self.deepNum:
                #如果当前的深度大于最大深度，重置最大深度
                if deep > self.maxDeep:
                    self.maxDeep = deep
                #索引字典
                self.indexDict[i[0]] = i[1]
                #创建文件夹名字的字典
                self.makeDict[self.nameList[self.indexList.index(i)][0]] = self.nameList[self.indexList.index(i)][1]
        # print(self.makeDict)
        # print(self.indexDict)
        print(len(self.makeDict))
        print(self.makeDict)
        # 创建文件夹文件名列表的长度

        # self.DirNameLen = len(self.indexDict)
        if self.AllDirLen:
            self.DirNameLen = self.AllDirLen
        else:
            self.DirNameLen = len(self.indexDict)
        # 现在创建到的文件位置
        self.NowIndex = 0 + self.StartIndex
        print(list(self.makeDict.keys()))

        #遍历创建文件夹的字典
        for i in range(self.maxDeep):
            #索引层级数量
            for key in self.makeDict.keys():
                #"-"的数量
                print("索引为：", end = "")
                print(key)
                lenNum = len(str(key).split("-"))-1

                if i == lenNum == 0:
                    #文件夹的名字
                    dirName = str(key)+ self.Separator + self.makeDict[key]
                    if dirName != self.Separator:
                        if self.isMakeDir:
                            try:
                                os.mkdir(self.filePath + "\\" + dirName)
                            except Exception as e:
                                if "当文件已存在时" in str(e):
                                    self.ExsitList.append(self.filePath + "\\" + dirName)
                                else:
                                    self.OtherList.append(str(self.filePath + "\\" + dirName) + "发生的错误为: " + str(e) )

                        if self.communication:
                            self.NowIndex += 1
                            print(self.DirNameLen)
                            print(self.NowIndex)
                            self.communication.ProcessBarSignal.emit(self.NowIndex / self.DirNameLen)
                        else:
                            self.NowIndex += 1
                            print(self.NowIndex / self.DirNameLen)
                        # print(filePath + "\\" + dirName)
                        titleResult = re.match(self.titlepattern, key)
                        try:
                            ChineseIndex = titleResult.group(2)
                            self.ParentIndexlist.append(self.chineseNum(ChineseIndex))
                        except:
                            ChineseIndex = key
                            self.ParentIndexlist.append(int(key))
                        # print(ChineseIndex)

                        #去除文件夹后面空字符。
                        self.ParentDirList.append(str(self.filePath + "\\" + dirName).strip())
                        pass
                    else:
                        self.NowIndex += 1
                elif i == lenNum >=1:

                    dirName = str(key) + self.Separator + self.makeDict[key]
                    print(dirName)
                    if dirName != self.Separator:
                        try:
                            #路径和路径下文件夹的名字
                            PathAndName = self.filePath + "\\" + dirName
                            #如果没有就创建
                            # os.mkdir(filePath + "\\" + dirName)
                            # print(PathAndName)
                            numList = [x for x in range(i)]
                            numList.sort(reverse=True)
                            # 输出的名字数字的列表
                            # print(numList)
                            mkCode = 1
                            for x in numList:
                                if mkCode:
                                    ParentIndex = "-".join(str(key).split("-")[:x + 1])
                                    # print(key)
                                    # print("父级索引:", end="")
                                    # print(ParentIndex)
                                    if "-" not in ParentIndex:
                                        ParentIndex = int(ParentIndex)
                                    NowIndex = "-".join(str(key).split("-")[:x + 2])
                                    # 判断其父索引是否副索引的列表
                                    # print(self.ParentIndexlist)
                                    # print(ParentIndex)
                                    # print(key)
                                    if ParentIndex in self.ParentIndexlist:

                                        PathIndex = self.ParentIndexlist.index(ParentIndex)
                                        ParentDir = self.ParentDirList[PathIndex]
                                        nowPath = os.path.join(ParentDir, dirName)
                                        # print("需要建文件的路径", end="")
                                        # print(nowPath)
                                        # print(NowIndex)
                                        # print("------------------")
                                        # if NowIndex == "10-2-1":
                                        #     print(11)
                                        #     print(key)
                                        #     print(str(ParentIndex))
                                        if len(str(key).split("-")) - len(str(ParentIndex).split("-")) > 1:
                                            self.ParentIndexlist.append(key)
                                            self.ParentDirList.append(nowPath.strip())
                                        else:
                                            self.ParentIndexlist.append(NowIndex)
                                            self.ParentDirList.append(nowPath.strip())
                                        if self.isMakeDir:
                                            try:
                                                os.mkdir(nowPath)
                                            except Exception as e:
                                                if "当文件已存在时" in str(e):
                                                    self.ExsitList.append(self.filePath + "\\" + dirName)
                                                else:
                                                    self.OtherList.append(str(self.filePath + "\\" + dirName)+ "发生的错误为: " + str(e))
                                        if self.communication:
                                            print("百分比")
                                            print(self.NowIndex / self.DirNameLen)
                                            self.NowIndex += 1
                                            self.communication.ProcessBarSignal.emit(self.NowIndex / self.DirNameLen)
                                        else:
                                            self.NowIndex += 1
                                            print(self.NowIndex / self.DirNameLen)
                                        mkCode = 0
                                    else:
                                        # print(111111)
                                        if mkCode and x == 0:
                                            # 当前要建文件夹的位置
                                            nowPath = os.path.join(self.filePath, dirName)
                                            self.ParentDirList.append(nowPath.strip())
                                            # print("需要建文件的路径aaa", end="")
                                            # print(nowPath)
                                            # print(NowIndex)
                                            self.ParentIndexlist.append(NowIndex)
                                            print("------------------")
                                            if self.isMakeDir:
                                                try:
                                                    os.mkdir(nowPath)
                                                except Exception as e:
                                                    if "当文件已存在时" in str(e):
                                                        self.ExsitList.append(self.filePath + "\\" + dirName)
                                                    else:
                                                        self.OtherList.append((self.filePath + "\\" + dirName)+ "发生的错误为: " + str(e))
                                            if self.communication:
                                                print("百分比")
                                                print(self.NowIndex / self.DirNameLen)
                                                self.NowIndex += 1
                                                self.communication.ProcessBarSignal.emit(self.NowIndex / self.DirNameLen)
                                            else:
                                                self.NowIndex += 1
                                                print(self.NowIndex / self.DirNameLen)

                        except:
                            traceback.print_exc()
                    # print(filePath + "\\" + dirName)
                    else:
                        self.NowIndex += 1
        print("现在创建到文件夹索引的位置：", end = "")
        print(self.NowIndex)
        print("文件夹字典的长度： ", end="")
        print(self.DirNameLen)
        print("父类索引的列表： ", end="")
        print(self.ParentIndexlist)
        print("父类文件夹的列表： ", end="")
        print(self.ParentDirList)
        print("已经存在的文件列表")
        print(self.ExsitList)
        print("其他错误的文件列表")
        print(self.OtherList)
        for i in self.OtherList:
            print(i)
        name = ["1", "2"]
        self.ParentDirList.sort()
        test = pd.DataFrame(data = self.ParentDirList)
        test.to_csv("./aa.csv")
        if not self.isMakeDir:
            return self.ParentDirList, self.ParentIndexlist



if __name__ == "__main__":
    deepNum =10
    #文件夹
    filePath = r"E:\2"
    #分隔符
    Separator = "  "
    #是否创建文件夹
    isMakeDir = 1
    indexList = [["", '', ''],['19-3-4', '测试', ''],['19-3-4-2', '测试', ''], [1, '发行人基本情况调查', ''], ['1-1', '改制与设立情况', ''],
                    ['1-1-1', '改制前原企业（或主要发起人）的相关财务资料及审计报告', '【企查查】您的验证码是813056。如非本人'], ['1-1-2', '上级主管部门同意改制的批复文件', ''],
                    ['1-1-3', '发行人的改制重组方案，包括业务、资产、债务、人员等的重组安排', ''], ['1-1-4', '改制时所做的专项审计报告、评估报告、验资报告等', ''],
                    ['1-1-5', '国企改制的相关人员安置方案的职代会审议文件', ''], ['1-1-6', '国有资产评估的核准或备案文件、国有股权管理文件', ''],
                    ['1-1-7', '发行人设立时的政府批准文件、法律意见书、营业执照、工商登记文件', ''], ['1-1-8', '发起人协议、创立大会文件', ''],
                    ['1-1-9', '发行人设立时的公司章程', ''], ['1-1-10', '改制前原企业资产和业务构成情况的说明', ''],
                    ['1-1-11', '发行人成立时拥有的主要资产和业务情况的说明', ''], ['1-1-12', '发行人成立后主要发起人拥有的主要资产和实际从事业务情况的说明', ''],
                    ['1-1-13', '改制前原企业业务流程、改制后发行人业务流程，以及两者联系的说明', ''], ['1-1-14', '改制及发起人设立的相关访谈或核查记录', ''],
                    ['1-1-15', '改制瑕疵情况说明及处理（如有）', ''], ['1-1-17', '', ''], ['1-2', '发行人历史沿革情况', ''],
                    ['1-2-1', '发行人历次变更的营业执照、历次备案的公司章程以及相关的工商登记文件', ''],
                    ['1-2-2', '发行人成立以来在生产经营方面与主要发起人的关联关系及演变情况的说明', ''], ['1-2-3', '历史沿革相关的访谈或核查记录', ''],
                    ['1-3', '发起人、股东的出资情况', ''], ['1-3-1', '发行人设立时各发起人的营业执照（或身份证明文件）、财务报告', ''],
                    ['1-3-2', '发行人设立及历次股本变动时的验资报告、验资资料、出资凭证等', ''], ['1-3-3', '发行人设立后与股东之间的非交易性资金往来凭证', ''],
                    ['1-3-4', '发行人与股东之间资金占用情况的说明及相关凭证', ''], ['1-3-4-1', '发行人与股东之间资金占用情况的说明', ''],
                    ['1-3-4-2', '发行人与股东之间资金占用情况的相关凭证', ''],
                    ['1-3-5', '发起人、股东以实物资产出资时涉及的资产评估报告、审计报告及国有资产评估结果核准或备案文件', ''],
                    ['1-3-6', '发起人、股东以实物资产出资时，涉及的资产产权变更登记资料文件', ''], ['1-3-7', '自然人发起人直接持股和间接持股的有关情况，及其在发行人的任职情况', ''],
                    ['1-4', '报告期内重大股权变动情况（持股5%以上的股东发生变化）', ''],
                    ['1-4-1', '重大股权变动涉及股东的内部决策文件（股东大会、董事会、监事会（以下简称“三会”）决议等）', ''],
                    ['1-4-2', '发行人审议重大股权变动的股东大会、董事会、监事会决议等', ''], ['1-4-3', '重大股权变动涉及的政府及相关监管机构的批准文件', ''],
                    ['1-4-4', '重大股权变动涉及的审计报告、评估报告、验资报告、国有资产评估核准或备案文件、国有股权管理文件', ''],
                    ['1-4-5', '重大股权变动涉及的股权转让协议或增减资协议、债权人同意文件、工商变更登记文件、股权转让价款支付情况说明或支付凭证等', ''],
                    ['1-4-6', '重大股权变动其他核查底稿', ''], ['1-4-6-1', '重大股权变动时，其他股东放弃优先购买权的承诺函', ''],
                    ['1-4-6-2', '重大股权变动相关所得税（含个人、非居民等情况）缴纳凭证', ''], ['1-4-7', '发行人实行的股份支付及其他制度安排和执行情况', ''],
                    ['1-5', '重大重组情况', ''], ['1-5-1', '重大重组涉及的股东大会、董事会、监事会决议、独立董事意见', ''],
                    ['1-5-2', '与上述重大重组事项有关的所有协议', ''], ['1-5-3', '政府批准文件', ''],
                    ['1-5-4', '重大重组涉及的审计报告、评估报告、中介机构专业意见、国有资产评估核准或备案文件', ''],
                    ['1-5-5', '重大重组涉及国有资产转让的，国有资产进场交易的文件', ''], ['1-5-6', '债权人同意债务转移的相关文件、重组相关的对价支付凭证和资产过户文件', ''],
                    ['1-5-7', '重大重组对发行人业务、经营业绩、财务状况和管理层影响情况的说明', ''], ['1-6', '控股股东及实际控制人、发起人及主要股东情况', ''],
                    ['1-6-1', '发行人控股股东或实际控制人的组织结构（参控股子公司、职能部门设置）', ''], ['1-6-2', '发行人的组织结构图（参控股子公司、职能部门设置）', ''],
                    ['1-6-3', '控股股东及实际控制人、发起人及主要股东的营业执照、公司章程、最近一年及一期的财务报告及审计报告，控股股东的工商资料', ''],
                    ['1-6-4', '控股股东及实际控制人、发起人及主要股东如为自然人的，请提供关于国籍、永久境外居留权、身份证号码以及住所的说明', ''],
                    ['1-6-5', '控股股东及实际控制人控制的其他企业的营业执照、工商资料、公司章程、最近一年及一期的财务报告及审计报告', ''],
                    ['1-6-6', '控股股东及实际控制人、发起人及主要股东持有发行人股份是否存在质押或权属争议情况的说明及相关文件', ''],
                    ['1-6-7', '控股股东及实际控制人、发起人及主要股东及作为股东的董事、监事、高级管理人员作出的重要承诺及其履行情况的说明', ''],
                    ['1-6-8', '控股股东、实际控制人合法合规情况', ''], ['1-6-8-1', '控股股东、实际控制人关于合法合规情况的相关说明', ''],
                    ['1-6-8-2', '控股股东、实际控制人收到刑事处罚、行政处罚的相关资料（如有）', ''],
                    ['1-6-8-3', '控股股东、实际控制人涉嫌犯罪被立案调查和司法机关立案侦查的资料', ''], ['1-6-8-4', '控股股东、实际控制人的无违法违规证明，网络检索等核查资料', ''],
                    ['1-6-9', '发行人关于全部股东名称、持股数量及比例、股份性质的说明', ''], ['1-6-10', '股东中战略投资者持股的情况及相关资料', ''],
                    ['1-6-11', '股东核查其他工作底稿', ''], ['1-6-11-1', '股东调查问卷、自然人股东简历、股东实地走访访谈资料', ''],
                    ['1-6-11-2', '发行人各股东关联关系或一致行动情况的说明及协议', ''], ['1-6-11-3', '最近一年新增股东核查（如有）', ''],
                    ['1-6-11-4', '股东适格性核查（如有）', ''], ['1-6-11-5', '三类股东核查（如有）', ''],
                    ['1-6-11-6', '私募股权基金及管理人备案情况核查（如有）', ''], ['1-6-11-7', '股东对赌协议及解除的相关资料（如有）', ''],
                    ['1-6-11-8', '股份代持事项的核查（如有）', ''], ['1-7', '发行人控股子公司、参股子公司的情况', ''],
                    ['1-7-1', '发行人控股子公司的营业执照、公司章程、工商资料、最近三年及一期的财务报告及审计报告', ''],
                    ['1-7-2', '发行人参股子公司的营业执照、公司章程、工商基本信息、最近一年及一期的财务报告及审计报告', ''],
                    ['1-7-3', '发行人重要控股子公司、参股子公司的主要其他合作方情况和相关资料', ''],
                    ['1-7-4', '报告期内转让或受让控股子公司、对发行人有重大影响的参股子公司股权相关的决策性文件、评估报告（如有）、股权转让协议及支付凭证、税款缴纳凭证等', ''],
                    ['1-8', '员工及其独立性情况', ''], ['1-8-1', '报告期各期末的员工名册', ''],
                    ['1-8-2', '关于员工人数及其变化、专业结构、受教育程度、年龄分布的说明', ''], ['1-8-3', '社会保障制度、住房制度改革、医疗制度改革等执行情况', ''],
                    ['1-8-3-1', '发行人执行社会保障制度、住房制度改革、医疗制度改革情况的说明', ''], ['1-8-3-2', '发行人社保及公积金开户资料，报告期内社保及公积金缴纳凭证', ''],
                    ['1-8-3-2-1', '发行人社保及公积金开户资料', ''], ['1-8-3-2-2', '发行人报告期内社保及公积金缴纳凭证', ''],
                    ['1-8-3-2-2-1', '发行人报告期内社保缴纳凭证', ''], ['1-8-3-2-2-2', '发行人报告期内公积金缴纳凭证', ''],
                    ['1-8-3-3', '员工放弃缴纳社会保险和住房公积金的声明（如有）', ''],
                    ['1-8-3-4', '发行人控股股东、实际控制人关于发行人员工社会保险及住房公积金补缴事项的声明（如有）', ''], ['1-8-4', '劳动合同样本', ''],
                    ['1-8-5', '员工访谈记录', ''], ['1-8-6', '发行人董事会成员、高管人员的兼职情况', ''], ['1-8-7', '劳务派遣情况（如有）', ''],
                    ['1-8-7-1', '劳务派遣公司营业执照、工商信息、走访记录等', ''], ['1-8-7-2', '发行人与劳务派遣公司签订的合同', ''],
                    ['1-8-7-3', '发行人使用劳务派遣用工方式的原因及其对发行人持续经营影响的说明', ''], ['1-8-7-4', '劳动部门出具的关于劳务派遣合法合规的证明（如需）', ''],
                    ['1-8-8', '公司考核激励机制，人力资源管理制度及福利制度等（如需）', ''], ['1-8-9', '工资薪金的核查', ''],
                    ['1-8-9-1', '发行人及子公司员工工资明细表', ''],
                    ['1-8-9-2', '发行人员工工资水平与所在地区平均水平或同行业可比公司平均水平之间是否存在差异及差异合理性的核查底稿', ''],
                    ['1-8-9-3', '报告期内发行人员工总数、工资总额、人均工资、人员结构、工资占成本、费用比例的波动分析，公司员工数量与薪资的匹配关系的核查底稿', ''],
                    ['1-8-9-4', '发行人关于是否存在人为压低人员工资，阶段性降低高管薪资或推迟奖金发放情况的声明', ''], ['1-8-10', '劳务外包', ''],
                    ['1-8-10-1', '劳务外包公司营业执照、工商信息、走访记录等', ''], ['1-8-10-2', '发行人与劳务外包公司签订的合同', ''],
                    ['1-8-10-3', '发行人使用劳务外包用工方式的原因及其对发行人持续经营影响的说明', ''], ['1-8-10-4', '劳动部门出具的关于劳务外包合法合规的证明（如需）', ''],
                    ['1-9', '资产权属情况', ''], ['1-9-1', '房屋所有权列表及房屋所有权证，房屋使用用途说明', ''],
                    ['1-9-2', '土地使用权列表及土地使用权证，土地出让金缴纳情况', ''],
                    ['1-9-3', '房屋及土地、设备租赁情况列表，房屋、土地、设备租赁合同，租赁对方合法拥有相关资产的权属文件，租赁备案证明', ''],
                    ['1-9-4', '其他重要固定资产列表，权属证明及使用情况，主要生产设备的成新率', ''],
                    ['1-9-5', '商标、专利、非专利技术、水面养殖权、探矿权、采矿权、著作权、版权、特许经营权等无形资产列表及权属证明，相关资产或经营权的取得方式、期限、缴费情况，对发行人持续生产经营的影响',
                     ''], ['1-9-6', '业务许可资格或资质情况（包括但不限于生产经营许可、高新技术企业证书、安全生产许可、卫生许可、排污许可等）', ''],
                    ['1-9-7', '专利、非专利技术的用途介绍', ''], ['1-9-8', '许可第三方使用资产的情况说明，及相关协议文件', ''],
                    ['1-9-9', '被第三方许可使用资产的情况说明，相关协议文件、对方的资产权属证明，以及对发行人持续经营的影响', ''],
                    ['1-9-10', '境外拥有资产的情况说明及重要境外资产的权属证明', ''], ['1-9-11', '资产是否存在被控股股东、其他关联方控制或占用情况的说明', ''],
                    ['1-9-12', '资产抵押、质押或权利存在限制的情况及相关合同、证明文件', ''], ['1-9-13', '公司未取得权属证明相关资产的情况说明，以及预计办理进展、相关股东承诺', ''],
                    ['1-10', '业务、财务、机构的独立情况', ''], ['1-10-1', '控股股东、实际控制人与发行人从事的主要业务与拥有的资产情况', ''],
                    ['1-10-2', '如存在业务交叉，相互占用资产、资源的情况，要特别说明解决措施和效果', ''],
                    ['1-10-3', '控股股东、实际控制人与发行人的财务部门的设置以及独立运作情况', ''], ['1-10-4', '控股股东、实际控制人与发行人的采购销售部门的设置及各自运作情况', ''],
                    ['1-10-5', '控股股东与发行人的基本银行账户开设情况、重要税种的完税凭证', ''], ['1-10-6', '发行人关于机构独立情况的说明', ''],
                    ['1-10-7', '发行人内部各机构的规章制度', ''], ['1-10-8', '实际控制人控制其他企业核查情况', ''],
                    ['1-10-8-1', '实际控制人控制的其他企业的财务会计账簿', ''], ['1-10-8-2', '实际控制人控制其他企业与发行人客户及供应商往来情况核查', ''],
                    ['1-10-8-3', '实际控制人控制其他企业工资发放记录', ''], ['1-10-8-4', '实际控制人控制其他企业出具的关于是否存在为发行人代为支付成本费用的声明', ''],
                    ['1-11', '商业信用情况', ''], ['1-11-1', '报告期内重大商务合同及其履行情况', ''],
                    ['1-11-2', '发行人及其子公司工商、税务、行业主管部门、海关、环保、社保、公积金、银行等的调查反馈文件或无违规证明', ''],
                    ['1-11-3', '行业监管机构的监管记录和处罚文件（如有）', ''], ['1-11-4', '主要银行给予发行人的授信额度、主要银行信用评级情况以及发行人获得的主要荣誉和奖励', ''],
                    ['1-11-5', '主要证券媒体对公司的评论（负面报道）', ''], ['1-12', '内部职工股（如适用）', ''],
                    ['1-12-1', '募股文件、审批文件、缴款证明及验资报告', ''], ['1-12-2', '历次转让文件、历年托管证明文件', ''],
                    ['1-12-3', '内部职工股发行中的违法违规情况，包括超范围、超比例，变相增加内部职工股数量、违规转让和交易、法人股个人化等', ''],
                    ['1-12-4', '内部职工股潜在问题和风险隐患', ''], ['1-12-5', '股份形成及演变的法律文件，包括相关的工商登记资料、三会文件', ''],
                    ['1-12-6', '内部职工股清理的决策文件、相关协议、价款支付凭证', ''], ['1-12-7', '省级人民政府对发行人内部职工股托管情况及真实性的确认文件', ''],
                    ['1-12-8', '项目组与相关当事人当面访谈的访谈纪要', ''], ['1-13', '红筹架构形成及拆除的相关资料（如有）', ''],
                    ['1-13-1', '境外红筹架构梳理', ''], ['1-13-1-1', '境外组织架构说明文件', ''],
                    ['1-13-1-2', '境内企业境外投资的决策文件、对外投资审批文件（发改委项目审核、商务部门颁发境外投资证书、外汇登记及外汇汇出）', ''],
                    ['1-13-1-3', '境外SPV公司注册及周年备案全套材料', ''], ['1-13-1-4', '境外SPV控制人身份证明及永久居留证件', ''],
                    ['1-13-1-5', '境外SPV实际控制人访谈（设立原因、对外投资情况及境外SPV运营及合规情况、是否存在代持信托持股等）', ''],
                    ['1-13-1-6', '境内分红是否符合法规、章程及协议约定的说明文件及分红财务凭证', ''], ['1-13-2', '境内部分梳理', ''],
                    ['1-13-2-1', 'WFOE公司工商资料，投资协议（如有）', ''], ['1-13-2-2', '外汇登记或补登记文件', ''],
                    ['1-13-2-3', 'WFOE公司享受的税收优惠政策是否符合规定是否需要返还的说明、税务局证明', ''], ['1-13-3', '拆红筹底稿', ''],
                    ['1-13-3-1', '私有化：', ''], ['1-13-3-1-1', '私有化程序符合境外规定的说明或者境外律师法律意见书', ''],
                    ['1-13-3-1-2', '投资者诉讼材料（如有），境外监管机构的处罚文件（如有）', ''], ['1-13-3-1-3', '私有化的原因访谈文件；', ''],
                    ['1-13-3-2', '红筹架构拆解', ''], ['1-13-3-2-1', '境外SPV股东股权转让合同、价款支付凭证、纳税凭证、资金来源证明材料', ''],
                    ['1-13-3-2-2', '外汇审批文件', ''], ['1-13-3-2-3', '股东访谈', ''],
                    ['1-13-3-2-4', 'WFOE变为内资或者中外合资企业是否要返还税收优惠的税务局说明文件或WFOE公司声明', ''],
                    ['1-13-3-2-5', '境外原有SPV、境内WFOE注销文件', ''], ['1-13-4', 'VIE专项底稿', ''],
                    ['1-13-4-1', '独家业务合作协议、独家购买权协议、股票质押协议、借款协议等一揽子VIE协议', ''],
                    ['1-13-4-2', 'VIE公司的工商资料，VIE公司股东投资协议（如有），出资凭证', ''], ['1-13-4-3', '一揽子协议履行情况的访谈及相关方说明。', ''],
                    ['1-13-4-4', '一揽子协议的终止协议', ''],
                    ['1-13-4-5', 'VIE作为上市主体收购WFOE的，取得决策文件、收购协议、价款支付凭证、纳税凭证（如有），收购后主营业务不发生变更的说明。', ''],
                    ['1-13-5', '其他', ''],
                    ['1-13-5-1', '以原WFOE公司作为上市主体的（如有），符合国家产业政策的说明文件，实际控制人收购原WFOE股权的协议文件、价款支付凭证及纳税凭证等', ''],
                    ['1-13-5-2', '报告期内董监高、主营业务未发生重大变化的说明', ''],
                    ['1-13-5-3', '境外结构解除、股权转让产生纠纷导致发行人利益受损由实际控制人或股东承担损失的承诺函', ''], [2, '业务与技术调查', ''],
                    ['2-1', '行业情况及竞争状况', ''], ['2-1-1', '发行人所属行业及行业主管部门、监管体系的说明，行业主管部门制定的发展规划、行业管理方面的法律法规及规范性文件', ''],
                    ['2-1-1-1', '发行人所属行业及行业主管部门、监管体系的说明', ''], ['2-1-1-2', '行业主管部门制定的发展规划、行业管理方面的法律法规及规范性文件', ''],
                    ['2-1-2', '引用的行业研究报告、行业研究资料、行业杂志相关内容的全文及出处', ''], ['2-1-3', '行业第三方意见（包括行业专家、协会等）', ''],
                    ['2-1-4', '主要竞争对手核查（通过公开渠道获得的主要竞争对手资料及意见）', ''],
                    ['2-1-5', '国家有关产业政策及发展纲要及发行人生产经营是否符合国家产业政策的说明', ''], ['2-1-6', '发行人的核心竞争力、竞争优劣势说明', ''],
                    ['2-1-7', '特殊行业发行人行业主管部门关于同意发行人申请发行的文件（如有）', ''], ['2-2', '采购情况', ''],
                    ['2-2-1', '行业和发行人采购模式的说明文件', ''], ['2-2-2', '与原材料、辅助材料以及能源动力供求、价格相关的研究报告和统计资料', ''],
                    ['2-2-3', '发行人报告期的采购情况以及成本变动分析', ''], ['2-2-3-1', '发行人关于采购来源以及价格稳定性的说明', ''],
                    ['2-2-3-2', '报告期各年度/各期主要产品成本构成情况', ''],
                    ['2-2-3-3', '报告期主要原材料、重要辅助材料及能源动力采购基本情况、采购价格及其变动情况，变动趋势与市场上相同或相近原材料和能源的价格及其走势的对比', ''],
                    ['2-2-3-4', '报告期发行人外协或外包占总采购额的比例，外协或外包生产方式对发行人营业成本、产品质量及技术保密的影响分析', ''], ['2-2-4', '主要供应商核查', ''],
                    ['2-2-4-1', '主要供应商明细表，包括原材料及辅助材料供应商，外协供应商，能源采购供应商名单', ''],
                    ['2-2-4-2', '发行人报告期向主要供应商的采购内容、采购数量、采购金额、占发行人同类原材料或服务采购金额、采购总额的比例核查（属于同一实际控制人的供应商，应合并计算）', ''],
                    ['2-2-4-3', '发行人关于与主要供应商首次发生业务的起始时间，报告期内交易额大幅增加、减少、合作关系取消或新增的供应商名单、采购金额、占比及变动原因，是否存在严重依赖少数供应商的情形',
                     ''], ['2-2-4-4', '主要供应商信息采集资料，包括工商信息，公开披露信息等', ''], ['2-2-4-5', '主要供应商的函证', ''],
                    ['2-2-4-6', '主要供应商的走访记录', ''], ['2-2-4-7', '主要供应商经营规模、行业地位、支付能力、所售货物与其生产经营能力和规模匹配性核查', ''],
                    ['2-2-5', '与采购相关的管理制度、存货管理制度及穿行测试、内控检查（包括采购内控制度、存货管理制度、供应商管理制度，采购组织体系和业务流程）', ''],
                    ['2-2-6', '与主要供应商（至少前10名）的供货合同及履行情况（包括：采购申请、采购合同、采购通知、验收证明、入库凭证、商业票据、款项支付、审批程序及相应账务处理记录）', ''],
                    ['2-2-7', '采购是否存在异常的核查', ''], ['2-2-7-1', '采购物流的核查（大金额原材料采购入库及外部运输单据）', ''],
                    ['2-2-7-2', '海关进口数据与各期原材料采购金额比对（如适用）', ''], ['2-2-7-3', '原材料采购数量与库存变动、产品耗用之间的勾稽关系', ''],
                    ['2-2-7-4', '采购金额与预付款、采购成本、应付账款之间的勾稽关系核查情况', ''], ['2-2-8', '采购截止测试', ''],
                    ['2-2-9', '发行人关于关联采购情况的说明及核查', ''],
                    ['2-2-10', '发行人董事、监事、高管人员和核心技术人员、主要关联方或持有发行人5%以上股份的股东在主要供应商中所占权益的说明', ''], ['2-3', '生产情况', ''],
                    ['2-3-1', '主要产品或服务的用途', ''], ['2-3-2', '主要产品的工艺流程图或服务的流程图', ''],
                    ['2-3-3', '行业与发行人生产模式及发行人主要产品生产周期的说明', ''], ['2-3-4', '发行人关于生产工艺、技术所处阶段，及在行业中领先程度的说明', ''],
                    ['2-3-5', '主要产品的设计生产能力和历年产量有关资料', ''], ['2-3-5-1', '发行人关于主要产品产能、产能利用率，产量和销售，产销比的说明', ''],
                    ['2-3-5-2', '关键设备单位产能外部证据', ''], ['2-3-5-3', '原材料及水电气等能源耗用情况说明', ''],
                    ['2-3-5-4', '产量、主要原材料及水电气等能源耗用量与产量匹配关系核查', ''], ['2-3-5-5', '生产人员、相关人员工资支出与产量匹配关系核查', ''],
                    ['2-3-6', '生产厂房及主要生产设备列表与使用情况说明', ''], ['2-3-7', '质量控制情况', ''], ['2-3-7-1', '质量控制制度文件', ''],
                    ['2-3-7-2', '通过质量认证情况', ''], ['2-3-7-3', '发行人关于质量控制制度执行情况及发行人是否存在产品质量纠纷或诉讼的说明', ''],
                    ['2-3-7-4', '报告期产品质量纠纷，因为产品质量引发的处罚等方面的资料（如有）', ''],
                    ['2-3-7-5', '质量技术监督部门出具报告期内发行人不存在严重质量问题的证明文件', ''], ['2-3-8', '安全生产情况核查', ''],
                    ['2-3-8-1', '安全生产管理制度及其执行情况、安全生产主要设施及相关设施运行情况', ''], ['2-3-8-2', '发行人以往发生的安全生产事故及处理结果等资料', ''],
                    ['2-3-8-3', '报告期安全生产费用的支出及未来计划支出情况', ''], ['2-3-8-4', '安全生产监督管理部门出具的报告期内发行人无重大安全生产事故的证明文件', ''],
                    ['2-3-9', '生产环保情况核查', ''], ['2-3-9-1', '生产产生的主要污染物、对污染物的处理及排放情况，是否符合国家环境保护要求的说明', ''],
                    ['2-3-9-2', '相关污染治理制度及执行情况，主要环保设施及环保设施运行情况', ''], ['2-3-9-3', '投资项目环评批复及验收文件', ''],
                    ['2-3-9-4', '生产工艺是否符合环境保护相关法规的说明', ''], ['2-3-9-5', '发行人以往发生的环保处罚及处理情况', ''],
                    ['2-3-9-6', '历年来在环境保护方面的投入及未来可能的投入情况的说明', ''], ['2-3-9-7', '环保部门出具的报告期内发行人未违反相关环保规定的有效证明文件', ''],
                    ['2-4', '销售情况', ''], ['2-4-1', '行业和发行人销售模式的说明文件', ''], ['2-4-2', '与主要产品供求、价格相关的研究报告和统计资料', ''],
                    ['2-4-3', '权威市场调研机构关于销售情况及产品市场占有率、市场排名的报告', ''], ['2-4-4', '主要产品市场的地域分布', ''],
                    ['2-4-5', '发行人的销售渠道，销售定价原则及销售价格变动情况，销售单价与市场价格之间的匹配情况', ''], ['2-4-6', '报告期对主要客户的核查', ''],
                    ['2-4-6-1', '主要客户明细表', ''],
                    ['2-4-6-2', '发行人报告期向主要客户的销售内容、销售数量、销售金额、占发行人同类产品或服务销售金额、销售总额的比例说明（属于同一实际控制人的客户，应合并计算采购额并说明）', ''],
                    ['2-4-6-3',
                     '发行人关于与主要客户首次发生业务的起始时间，最近一年及一期新增客户、报告期内销量或金额大幅增长、减小或合作关系取消的客户清单及其销售金额、占比变化情况，是否存在严重依赖个别客户的情况及其对发行人经营影响的说明',
                     ''], ['2-4-6-4', '主要客户信息采集资料，包括工商信息，公开披露信息等', ''], ['2-4-6-5', '主要客户的销售函证', ''],
                    ['2-4-6-6', '主要客户的走访记录', ''], ['2-4-6-7', '与新增和异常客户交易的合理性和持续性的核查', ''],
                    ['2-4-7', '销售管理制度、穿行测试及内部控制核查（包括销售业务内部控制制度、客户管理制度、销售信用政策、销售和收款业务涉及的主要岗位和人员、销售业务流程）', ''],
                    ['2-4-8', '与主要客户（至少前10名）的销售合同及履行情况（包括：单笔业务的销售订单、销售合同、发货通知、出库单、运输单据、商业票据、款项收回情况及相应账务处理记录）', ''],
                    ['2-4-9', '销售是否存在异常的核查', ''], ['2-4-9-1', '销售物流核查（销量和运费的勾稽，大额销售与相应的物流运输原始单据）', ''],
                    ['2-4-9-2', '销售数量与库存变化、当期产量之间的勾稽变动关系', ''], ['2-4-9-3', '销售收入与预收款、应收账款变动之间的勾稽关系核查', ''],
                    ['2-4-9-4', '会计期末销售收入异常增长情况的收入确认凭证（如有）', ''], ['2-4-10', '报告期内产品销售退回的数量、金额、原因及相应财务处理等核查', ''],
                    ['2-4-11', '报告期产品返修率、客户诉讼和产品质量纠纷等方面的资料', ''], ['2-4-12', '重大关联销售情况的说明', ''],
                    ['2-4-13', '董事、监事、高管人员和核心技术人员、主要关联方或持有发行人5%以上股份的股东在主要客户中所占权益的说明', ''], ['2-4-14', '出口销售核查（如有）', ''],
                    ['2-4-14-1', '出口市场核查（适用于出口占比较高的发行人）', ''], ['2-4-14-2', '海关出口数据及其与发行人出口金额的勾稽分析', ''],
                    ['2-4-14-3', '出口退税相关政策文件，报告期出口退税金额及其与外销收入的勾稽分析', ''], ['2-4-15', '经销商/加盟商模式核查（如有）', ''],
                    ['2-4-15-1', '经销商、加盟商管理制度', ''], ['2-4-15-2', '经销商、加盟商合同、协议', ''],
                    ['2-4-15-3', '经销商、加盟商明细清单，包括地址，面积，开关店时间，对其销售政策，销售金额', ''],
                    ['2-4-15-4', '经销商、加盟商店铺平效分析、店铺平均存货分析', ''], ['2-4-15-5', '结合直营店和加盟店的内部控制制度进行穿行测试', ''],
                    ['2-4-15-6', '直营店、加盟店信息系统介绍及说明', ''], ['2-4-15-7', '经销/加盟商最终销售核查', ''],
                    ['2-4-15-8', '经销/加盟商退换货核查记录', ''], ['2-4-16', '按照合同履约进度确认收入的核查（如有）', ''],
                    ['2-4-17', '特殊业务模式、创新业务模式的核查记录和原始记录', ''], ['2-5', '核心技术人员、技术与研发情况', ''],
                    ['2-5-1', '有关研发的相关机制、机构设置、激励制度、研发人员资历等资料', ''], ['2-5-2', '技术许可协议、技术合作协议', ''],
                    ['2-5-3', '核心技术列表，核心技术的取得及使用是否存在纠纷或潜在纠纷及侵犯他人知识产权的情形的说明', ''],
                    ['2-5-4', '与非专利技术相关的保密制度及其与核心技术人员签订的保密协议', ''], ['2-5-5', '发行人取得的主要研发成果、在研项目、研发目标及研发费用投入情况', ''],
                    [3, '同业竞争与关联交易调查', ''], ['3-1', '同业竞争情况', ''], ['3-1-1', '发行人改制重组方案', ''],
                    ['3-1-2', '发行人、控股股东或实际控制人及其控制的企业主营业务情况的说明', ''],
                    ['3-1-3', '发行人与控股股东或实际控制人及其控制的企业之间如存在同业竞争的，有关解决同业竞争的情况说明（方案、进展等）', ''],
                    ['3-1-4', '控股股东或实际控制人关于避免同业竞争的承诺函', ''], ['3-2', '关联方及关联交易情况', ''], ['3-2-1', '关联方认定及关联关系核查', ''],
                    ['3-2-1-1', '关联关系调查表及承诺函', ''], ['3-2-1-2', '关联方列表及关联法人营业执照', ''],
                    ['3-2-1-3', '主要关联方的工商登记资料、财务报表及主营业务介绍', ''], ['3-2-2', '关联交易核查', ''], ['3-2-2-1', '关联交易管理制度', ''],
                    ['3-2-2-2', '关联交易清单', ''], ['3-2-2-3', '与关联交易相关的会议记录资料', ''], ['3-2-2-4', '与关联交易相关的独立董事意见', ''],
                    ['3-2-2-5', '报告期关联方与发行人资金往来核查', ''], ['3-2-2-6', '关联交易真实性核查（关联交易相关的协议、原始销售单据、回款凭据）', ''],
                    ['3-2-2-7', '关联交易公允性核查（关联交易定价依据，与独立第三方交易条件和交易价格比较，公开市场交易价格比较是否公允）', ''],
                    ['3-2-2-8', '关联交易在销售或采购中的占比及其对发行人经营独立性的影响，以及对当期经营成果的影响', ''],
                    ['3-2-2-9', '关联交易相关的应收、应付款项占发行人应收、应付款项的比例', ''], ['3-2-2-10', '持续性和偶发性关联交易及其对发行人长期持续运营的影响', ''],
                    ['3-2-2-11', '关联交易必要性、持续性、真实性的说明，发行人是否利用与关联方或其他利益相关方的交易实现报告期收入的增长核查', ''],
                    ['3-2-2-12', '发行人关于减少关联交易的措施说明，发行人关于关联交易的承诺及声明', ''],
                    ['3-2-3', '发行人高管人员及核心技术人员是否在关联方单位任职、领取薪酬的情况说明', ''], ['3-2-4', '保荐机构、PE及其关联方等与发行人大额交易的核查', ''],
                    ['3-2-5', '发行人与重要子公司少数股东关联交易核查（如有）', ''], ['3-2-6', '发行人报告期关联方注销情况核查（如有）', ''],
                    ['3-2-7', '发行人报告期关联方非关联化情况核查（如有）', ''], [4, '董事、监事、高级管理人员及核心技术人员调查', ''], ['4-1', '任职及任职资格', ''],
                    ['4-1-1', '董事会、监事会、高级管理人员及核心技术人员的构成情况及职责，核心技术人员认定依据、标准及范围的说明', ''],
                    ['4-1-2', '与任职情况及资格有关的三会文件', ''],
                    ['4-1-3', '董事、监事、高级管理人员及核心技术人员相互之间，及其与控股股东、实际控制人之间是否存在亲属关系的说明', ''],
                    ['4-1-4', '董事（包括独立董事）、监事、高级管理人员是否符合相关任职资格的说明', ''], ['4-1-5', '监管部门对于上述人员任职资格的批准或备案文件（如有）', ''],
                    ['4-2', '简历及操守', ''], ['4-2-1', '董事、监事、高级管理人员及核心技术人员简历、调查表', ''],
                    ['4-2-2', '发行人关于董事、监事、高级管理人员及核心技术人员是否存在违规行为的说明，是否受到相关部门处罚或立案侦查、立案调查情况', ''],
                    ['4-2-3', '发行人董事、监事、高级管理人员及核心技术人员的无违法违规证明及网络检索核查', ''], ['4-2-4', '发行人与高管人员所签定的协议或承诺以及履行情况', ''],
                    ['4-2-5', '董事、监事、高级管理人员及核心技术人员与发行人签署的劳动合同、保密协议、竞业禁止协议（如有）', ''],
                    ['4-2-6', '董事、监事、高级管理人员及核心技术人员与原任职单位在竞业禁止、保密协议、职务发明等方面的核查资料', ''], ['4-3', '胜任能力和勤勉尽责', ''],
                    ['4-3-1', '董事、监事、高级管理人员及核心技术人员曾担任高管人员的其他公司的规范运作情况以及该公司经营情况', ''],
                    ['4-3-2', '董事、监事、高级管理人员及核心技术人员在发行人投入的时间的说明以及相关的三会及总经理办公会纪要或纪录', ''],
                    ['4-3-3', '发行人现任董事、监事、高级管理人员是否受到过交易所或证监会谈话提醒、通报批评、公开谴责等情况说明及承诺', ''], ['4-4', '薪酬及兼职情况', ''],
                    ['4-4-1', '与薪酬情况相关的三会文件', ''], ['4-4-2', '关于是否存在兼职情况的说明', ''],
                    ['4-4-3', '从关联方领取报酬以及享受其他待遇情况的说明', ''], ['4-5', '报告期内变动情况', ''],
                    ['4-5-1', '报告期内董事、监事、高级管理人员及核心技术人员变动情况说明', ''], ['4-5-2', '与上述人员变动相关的三会文件', ''],
                    ['4-6', '持股及其他对外投资等情况', ''], ['4-6-1', '董事、监事、高级管理人员及核心技术人员就持股及其他对外投资情况发出的声明文件', ''],
                    ['4-6-2', '董事、监事、高级管理人员及核心技术人员及其直系亲属是否存在自营或为他人经营与发行人同类业务的情况及声明文件', ''],
                    ['4-6-3', '董事、监事、高级管理人员及核心技术人员及其直系亲属是否存在与公司利益发生冲突的对外投资，是否存在重大债务负担及声明文件', ''],
                    ['4-6-4', '董事、监事、高级管理人员及核心技术人员是否涉及诉讼、是否存在到期未偿还债务等情况的声明及相关资料', ''],
                    ['4-6-5', '董事、监事、高级管理人员及核心技术人员关于竞业禁止的承诺', ''], [5, '组织机构与内部控制调查', ''], ['5-1', '公司章程及其规范运行情况', ''],
                    ['5-1-1', '与公司章程历次修改相关的三会文件、公司章程进行工商变更登记的资料', ''],
                    ['5-1-2', '发行人就近三年内是否存在违法违规行为的说明，如无，则出具明确的书面声明', ''], ['5-1-3', '发行人子公司无违法违规承诺', ''],
                    ['5-2', '组织结构和三会运作情况', ''], ['5-2-1', '组织结构及关于部门职能描述的文件', ''],
                    ['5-2-2', '公司治理制度规定，包括三会议事规则、董事会专门委员会人员构成及议事规则、董事会秘书制度、总经理工作制度、内部审计制度等文件', ''],
                    ['5-2-3', '历次三会的会议文件，包括书面通知副本、会议记录、会议决议等', ''], ['5-3', '独立董事制度及其执行情况', ''],
                    ['5-3-1', '独立董事简历及任职资格说明', ''], ['5-3-2', '独立董事制度', ''], ['5-3-3', '独立董事历次履行职责的情况说明', ''],
                    ['5-3-4', '独立董事发表的意见', ''], ['5-4', '内部控制环境', ''], ['5-4-1', '有助分析发行人内部控制环境的董事会、总经理办公会等会议记录', ''],
                    ['5-4-2', '各项业务及管理规章制度', ''], ['5-5', '业务控制', ''], ['5-5-1', '发行人各项业务控制标准、控制措施的相关制度规定', ''],
                    ['5-5-2', '发行人存在因违反工商、税务、审计、环保、海关、劳动保护等部门的相关规定而受到处罚通知及相关规定（如有）', ''], ['5-6', '信息系统控制', ''],
                    ['5-6-1', '信息系统控制相关的规章制度', ''], ['5-7', '会计管理控制', ''],
                    ['5-7-1', '会计管理的相关资料（包括但不限于会计制度、会计人员培训制度、会计政策、会计报告制度等会计管理制度）', ''],
                    ['5-7-2', '发行人会计管理内部控制完整性、合理性及有效性的核查', ''], ['5-7-2-1', '会计科目的设置及使用情况', ''],
                    ['5-7-2-2', '财务部人员配备情况（包括财务人员资质以及财务岗位设置情况）', ''], ['5-7-2-3', '财务会计信息系统介绍', ''],
                    ['5-7-2-4', '资金管理的内部控制情况（资金循环测试）', ''], ['5-8', '内部控制的监督', ''], ['5-8-1', '内部审计报告及监事会报告', ''],
                    ['5-8-2', '发行人管理层对内部控制完整性、合理性及有效性的自我评价书面意见', ''],
                    ['5-8-3', '发行人内部审计稽核部门设置情况及相关内部审计制度，审计委员会的运行情况', ''], ['5-9', '股东资金占用情况', ''],
                    ['5-9-1', '发行人最近三年与股东之间的非交易性资金往来凭证及相关说明', ''],
                    ['5-9-2', '发行人关于最近三年是否存在资金被控股股东、实际控制人及其控制的其他企业占用的情况说明及相关协议、转账凭证', ''],
                    ['5-9-3', '发行人关于是否为控股股东、实际控制人及其控制的其他企业担保的说明及相关合同', ''], [6, '财务与会计调查', ''],
                    ['6-1', '发行人最近三年及一期的财务资料', ''], ['6-1-1', '最近三年及一期经审计的审计报告及原始财务报表、差异分析', ''],
                    ['6-1-2', '下属子公司最近三年及一期的审计报告及原始财务报表、差异分析', ''], ['6-1-3', '披露的参股子公司最近一年及一期的财务报告及审计报告', ''],
                    ['6-1-4',
                     '如发行人最近一年及一期内收购兼并其他企业资产（或股权），且被收购企业资产总额或营业收入或净利润超过收购前发行人相应项目20%（含20%），被收购企业收购前一年的财务报表及财务状况核查', ''],
                    ['6-1-5', '如接受过国家审计，该等审计报告', ''], ['6-1-6', '对财务资料中重点事项进行调查、复核或进行专项核查的相关资料', ''],
                    ['6-1-7', '最近三年内发生重大资产重组的发行人提供的模拟财务报告及审计报告和重组进入公司的资产的财务报告、资产评估报告或/和审计报告', ''],
                    ['6-1-8', '分部报告（如有）', ''], ['6-2', '发行人资产评估报告', ''],
                    ['6-2-1', '公司设立时（含有限责任公司改制期间）及报告期内历次资产评估报告', ''], ['6-2-2', '公司设立时（含有限责任公司改制期间）及报告期内历次土地评估报告', ''],
                    ['6-2-3', '报告期内发行人用资产对子公司出资的，相关资产评估报告', ''], ['6-2-4', '其他评估报告（矿产、房地产开发存货等）', ''],
                    ['6-3', '有关内控制度', ''], ['6-3-1', '公司各项内部控制制度', ''], ['6-3-2', '公司管理层对内部控制完整性、合理性及有效性的自我评估', ''],
                    ['6-3-3', '报告期内，监管机构对发行人有关内部控制制度的评价结果（如有）', ''], ['6-3-4', '注册会计师对内部控制的鉴证意见', ''],
                    ['6-3-5', '注册会计师关于内部控制的整改建议及企业的整改措施', ''], ['6-4', '主要会计政策及会计估计', ''],
                    ['6-4-1', '主要会计政策及会计估计的同业比较情况', ''], ['6-4-2', '报告期内重大会计政策、估计变更情况', ''], ['6-5', '销售收入分析', ''],
                    ['6-5-1', '发行人收入确认会计政策的核查（收入确认政策，同行业对比，收入确认原始单据的验证）', ''],
                    ['6-5-2', '发行人收入的产品构成、地域构成及其变动情况的核查', ''], ['6-5-2-1', '发行人主营业务收入明细表，其他业务收入明细表', ''],
                    ['6-5-2-2', '发行人分类收入、成本、毛利构成明细表（按产品分类、按产品销售地域分类、按产品销售模式分类、按主要客户分类）', ''],
                    ['6-5-2-3', '报告期内收入增减变化情况及原因、收入构成及变化原因，是否符合行业和市场周期的变化核查', ''],
                    ['6-5-2-4', '发行人主要产品报告期价格变动的资料，是否符合行业和市场同期的变化情况', ''],
                    ['6-5-2-5', '发行人报告期主要产品的销量变化资料，是否符合行业和市场同期的变化情况', ''],
                    ['6-5-2-6', '发行人属于强周期性行业的，其收入变化情况与该行业是否保持一致', ''],
                    ['6-5-2-7', '发行人营业收入季节性波动明显的，季节性因素对季度收入影响的核查', ''], ['6-5-2-8', '发行人盈利能力的持续性和稳定性的核查', ''],
                    ['6-5-3', '收入截止测试', ''], ['6-5-4', '主要客户销售收入函证', ''], ['6-5-5', '报告期内退换货情况核查', ''],
                    ['6-5-5-1', '报告期内各期退换货明细表（包括客户名称、退货金额、退货原因、具体货物名称规格等信息、退货后再销售还是返回生产或销毁等）以及财务退换货记录', ''],
                    ['6-5-5-2', '仓储部门退换货记录及退货单、入库单等原始凭证', ''], ['6-5-5-3', '退货申请单、销售部门对销售退回的处理意见', ''],
                    ['6-6', '销售成本分析', ''], ['6-6-1', '报告期主要产品的成本明细表', ''], ['6-6-2', '报告期内成本构成表以及成本构成变动的核查', ''],
                    ['6-6-3', '发行人成本核算方法，成本核算的方法是否符合实际经营情况和会计准则的要求，以及与同行业可比公司情况的核查', ''], ['6-7', '毛利率构成及变动分析', ''],
                    ['6-7-1', '毛利构成及变动分析', ''], ['6-7-2', '主要产品报告期内毛利率波动原因分析', ''],
                    ['6-7-3', '同业可比公司毛利率资料，发行人与同业可比公司相同或相近产品或服务的毛利率对比分析', ''], ['6-8', '营业外收支', ''],
                    ['6-8-1', '补贴收入的批复或相关证明文件', ''], ['6-8-2', '金额较大的营业外收入、营业外支出明细表及凭据', ''], ['6-9', '期间费用', ''],
                    ['6-9-1', '销售费用', ''], ['6-9-1-1', '销售费用明细表', ''], ['6-9-1-2', '销售费用率的变动趋势与营业收入的变动趋势是否一致的核查', ''],
                    ['6-9-1-3', '销售费用的项目与发行人的销售是否匹配的核查', ''], ['6-9-1-4', '大额销售费用项目支出的细节测试', ''], ['6-9-2', '管理费用', ''],
                    ['6-9-2-1', '管理费用明细表', ''], ['6-9-2-2', '管理人员的薪酬合理性核查', ''], ['6-9-2-3', '大额管理费用项目支出的细节测试', ''],
                    ['6-9-3', '财务费用', ''], ['6-9-3-1', '财务费用明细表', ''], ['6-9-3-2', '贷款利息计提及资本化情况核查', ''],
                    ['6-9-3-3', '关联方资金占用利息计提情况（如有）', ''], ['6-9-4', '研发费用', ''], ['6-9-4-1', '研发费用的规模与研发匹配性核查', ''],
                    ['6-9-4-2', '研发费用资本化核查（如有）', ''], ['6-9-5', '发行人报告期内期间费用及费用率变动分析，期间费用率与同行业可比公司对比分析', ''],
                    ['6-9-6', '费用截止测试', ''], ['6-9-7', '费用支出的穿行测试', ''],
                    ['6-9-8', '经注册会计师验证的发行人报告期加权平均净资产收益率和非经常性损益明细表', ''], ['6-10', '发行人资金核查', ''],
                    ['6-10-1', '发行人资金循环内控核查，包括资金循环内控流程，管理制度以及穿行测试', ''], ['6-10-2', '现金交易核查', ''],
                    ['6-10-2-1', '现金管理制度及执行情况', ''], ['6-10-2-2', '报告期内现金销售、采购情况及现金收付的金额、占比及原始凭证', ''],
                    ['6-10-2-3', '现金日记账', ''], ['6-10-2-4', '现金交易改进情况', ''], ['6-10-2-5', '现金交易客户或供应商的访谈、函证资料', ''],
                    ['6-10-2-6', '现金盘点表', ''], ['6-10-3', '银行账户明细表及相关账户资料', ''], ['6-10-3-1', '银行账户及第三方支付平台账户明细表', ''],
                    ['6-10-3-2', '银行账户开户证明，开立及注销的银行账户清单及开户申请表', ''], ['6-10-3-3', '银行日记账', ''],
                    ['6-10-3-4', '银行余额调节表', ''], ['6-10-3-5', '资金账户银行询证函等核查资料（函证）', ''],
                    ['6-10-3-6', '银行对账单（银行盖章）及第三方支付平台账户流水', ''], ['6-10-3-7', '证券投资账户资料（如有）', ''],
                    ['6-10-4', '发行人银行流水核查', ''], ['6-10-4-1', '发行人大额资金收支抽查记录', ''], ['6-10-4-2', '销售回款测试', ''],
                    ['6-10-4-3', '采购付款测试', ''], ['6-10-4-4', '大额工程款支出测试', ''], ['6-10-4-5', '第三方回款核查', ''],
                    ['6-10-5', '关联方资金核查', ''], ['6-10-5-1', '实际控制人及其配偶、内部董事、监事、高级管理人员关于名下银行卡的声明，银行卡对账单（如有必要扩大范围）', ''],
                    ['6-10-5-2', '实际控制人控制的其他企业的银行账户清单，银行对账单', ''], ['6-10-5-3', '关联方资金流水与发行人业务是否相关的核查记录', ''],
                    ['6-10-6', '利用员工账户或其他个人账户进行货款收支及款项往来情况的核查（如有）', ''], ['6-10-7', '银行贷款卡信息', ''],
                    ['6-10-8', '其他货币资金核查', ''], ['6-11', '应收款项核查', ''], ['6-11-1', '应收款项明细及变动分析', ''],
                    ['6-11-1-1', '应收账款明细表和账龄分析表', ''], ['6-11-1-2', '其他应收款明细表和账龄分析表', ''],
                    ['6-11-1-3', '预付账款明细表和账龄分析表', ''], ['6-11-1-4', '报告期应收票据及应收款项融资明细表（含票据贴现、背书情况）', ''],
                    ['6-11-1-5', '其他流动资产明细表', ''], ['6-11-1-6', '发行人关于本期核销的应收款项的情况说明', ''],
                    ['6-11-1-7', '主要客户信用政策的变化情况', ''], ['6-11-1-8', '应收账款余额变动及销售收入的匹配情况', ''],
                    ['6-11-1-9', '应收账款周转率同行业对比分析', ''], ['6-11-2', '坏账政策及坏账准备，坏账政策的同行业对比', ''],
                    ['6-11-3', '主要债务人及主要逾期债务人名单', ''], ['6-11-4', '与应收款项相关的重要销售合同(清单及复印件)', ''],
                    ['6-11-5', '应收持发行人5％及以上表决权股份的股东款项的情况', ''], ['6-11-6', '重大应收款项的函证文件（可与收入函证合并发出）', ''],
                    ['6-11-7', '期后大额应收款项的回收情况核查', ''], ['6-11-8', '大额预付账款的合同及期后执行情况', ''],
                    ['6-11-9', '大额其他应收款的收款对象及合理性核查，往来款清理情况', ''], ['6-12', '存货及合同资产明细表及构成分析', ''],
                    ['6-12-1', '存货及合同资产分类明细及构成表', ''], ['6-12-2', '存货及合同资产管理制度及其执行情况的说明', ''],
                    ['6-12-3', '管理层对期末大额存货余额及是否充分计提存货跌价准备所做说明', ''], ['6-12-4', '发行人存货盘点资料', ''],
                    ['6-12-4-1', '仓库基本情况表，仓储部门存货结构表及明细清单', ''], ['6-12-4-2', '发行人存货盘点记录', ''],
                    ['6-12-4-3', '会计师存货监盘计划和监盘记录', ''], ['6-12-4-4', '保荐机构监盘记录', ''], ['6-12-4-5', '存货抽盘倒扎表（如有）', ''],
                    ['6-12-5', '第三方存货核查资料（函证、确认函等，若盘点，尽调方式同前）', ''], ['6-12-6', '利息资本化核查记录（适用房地产等存在较大金额利息资本化的企业）', ''],
                    ['6-12-7', '跌价准备情况调查', ''], ['6-12-8', '存货构成，存货周转率、跌价准备等同业资料，及可比分析', ''], ['6-13', '重要的对外投资', ''],
                    ['6-13-1', '对外投资制度及其执行情况', ''], ['6-13-2', '发行人投资列表', ''], ['6-13-3', '被投资公司的营业执照、财务报表、审计报告', ''],
                    ['6-13-4', '投资协议', ''], ['6-13-5', '重大委托理财的相关合同', ''], ['6-13-6', '重大项目的投资合同', ''],
                    ['6-13-7', '关于对外投资的内部批准文件', ''], ['6-13-8', '报告期发行人购买或出售被投资公司股权时的财务报告、审计报告及评估报告', ''],
                    ['6-13-9', '对外投资减值测试', ''], ['6-14', '固定资产', ''], ['6-14-1', '固定资产清单，折旧明细表', ''],
                    ['6-14-2', '固定资产盘点资料', ''], ['6-14-3', '报告期内新增重大资产核查资料，包括固定资产运输、安装、投产有关原始记录', ''],
                    ['6-14-4', '报告期内减少重大资产核查资料', ''], ['6-14-5', '固定资产减值准备核查', ''], ['6-15', '在建工程', ''],
                    ['6-15-1', '在建工程明细表', ''], ['6-15-2', '在建工程内部立项决策文件、施工许可、批复、合同等', ''],
                    ['6-15-3', '在建工程工程进度、监理报告，在建工程机器设备安装、投产等原始记录', ''], ['6-15-4', '利息资本化表核查', ''],
                    ['6-15-5', '在建工程盘点走访记录', ''], ['6-15-6', '在建工程减值核查', ''], ['6-16', '无形资产摊销及减值情况', ''],
                    ['6-17', '报告期及正在履行的主要债务', ''], ['6-17-1', '银行借款合同', ''], ['6-17-2', '委托贷款合同', ''],
                    ['6-17-3', '现时有效的银行授信合同及其担保合同', ''], ['6-17-4', '应付持发行人5%及以上表决权股份的股东账款情况', ''],
                    ['6-17-5', '重要应付款(应付、其他应付、长期应付、应付票据等)明细表、及合同、函证等核查底稿（应付函证可与采购函证一并发出）', ''],
                    ['6-17-6', '重要预收款及合同负债明细表', ''], ['6-17-7', '重要应付款、预收款项分析复核资料', ''],
                    ['6-17-8', '异常事项核查记录(预计负债）', ''], ['6-18', '纳税情况', ''],
                    ['6-18-1', '发行人及各控股子公司、参股子公司的各项税率及享有优惠情况的说明', ''], ['6-18-2', '报告期发行人及各独立缴税分支机构的纳税申报表', ''],
                    ['6-18-3', '发行人历史上所有关于税务争议、滞纳金缴纳、以及重大关税纠纷的详细情况以及有关文件及信函', ''], ['6-18-4', '发行人及各控股子公司的所有纳税凭证', ''],
                    ['6-18-5', '发行人享有税收优惠的有关政府部门的批复', ''], ['6-18-6', '报告期内产品出口退税税率变动情况及相关文件', ''],
                    ['6-18-7', '当地税务部门出具的关于发行人报告期内纳税情况的证明文件', ''], ['6-18-8', '主要税种纳税情况说明的专项报告', ''],
                    ['6-19', '发行人异常交易核查情况（偶发交易及不具有实物形态交易）', ''], ['6-19-1', '相关交易合同（协议）及相关凭证（包括交易支付凭证）附件', ''],
                    ['6-19-2', '交易对手工商登记资料或基本情况说明，走访/访谈/函证记录', ''], ['6-19-3', '交易必要性、合理性和公允性的核查记录', ''],
                    ['6-20', '报告期内发行人主要财务指标情况表、同业比较', ''], ['6-21', '报告期内重大会计差错更正情况', ''],
                    ['6-22', '报告期内发行人管理层关于商誉减值测试情况说明', ''], ['6-23', '盈利预测报告（如有）', ''], ['6-24', '境内外报表差异调节表（如有）', ''],
                    ['6-25', '历次验资报告', ''], ['6-26', '现金流分析', ''], [7, '业务发展目标调查', ''], ['7-1', '发展战略', ''],
                    ['7-1-1', '中长期发展战略规划资料', ''], ['7-1-2', '战略委员会会议纪要', ''], ['7-1-3', '独立董事意见', ''],
                    ['7-1-4', '有关公司发展战略的三会文件', ''], ['7-2', '历年发展计划及年度报告', ''], ['7-3', '业务发展目标', ''],
                    ['7-3-1', '未来二至三年的发展计划', ''], ['7-3-2', '业务发展目标相关文件', ''], ['7-3-3', '制定业务发展目标的依据性文件', ''],
                    ['7-3-4', '业务发展目标与现有业务的关系', ''], ['7-3-5', '募集资金投向与业务发展目标的关系', ''], [8, '募集资金运用调查', ''],
                    ['8-1', '本次募集资金运用的相关资料', ''], ['8-1-1', '可行性研究报告', ''],
                    ['8-1-2', '关于本次募集资金运用的董事会、股东大会的议案、决议和会议纪要', ''], ['8-1-3', '涉及本次募集资金项目有关主管部门的批复或相关核准或备案文件', ''],
                    ['8-1-4', '本次募集资金投向涉及安全、环保等需相关政府部门出具的批复', ''], ['8-1-5', '如收购资产的，拟收购资产的财务报告、审计报告、资产评估报告及收购协议', ''],
                    ['8-1-6', '如收购的资产为在建工程，相关工程资料及收购协议', ''],
                    ['8-1-7', '拟增资或收购的企业最近一年及一期经具有证券业务资格的会计师事务所审计的资产负债表和利润表', ''],
                    ['8-1-8', '合作、合资基本情况说明以及合作协议（适用于合资或合作经营的项目）', ''], ['8-1-9', '现有产品行业市场的分析资料（适用于扩大产能项目）', ''],
                    ['8-1-10', '新产品行业市场、技术保障的分析资料（适用于新产品开发的项目）', ''],
                    ['8-1-11', '固定资产和研发支出增加的影响的分析资料（适用于增加固定资产和研发支出的项目）', ''],
                    ['8-2', '发行人关于募集资金运用对财务状况及经营成果影响的详细分析', ''], ['8-3', '关于建立募集资金专项存储、使用的文件', ''],
                    ['8-3-1', '关于募集资金专项管理的相关制度文件', ''], ['8-3-2', '募集资金专项账户的开户证明、使用情况的说明', ''],
                    ['8-4', '募集资金投向产生的关联交易', ''], ['8-4-1', '关联方资料', ''], ['8-4-2', '评估报告和审计报告（如有）', ''],
                    ['8-4-3', '项目合作协议及合资公司设立文件', ''], [9, '股利分配情况调查', ''], ['9-1', '最近三年的股利分配政策', ''],
                    ['9-2', '发行人关于实际股利分配情况的说明', ''], ['9-2-1', '发行人关于实际股利分配的三会文件', ''],
                    ['9-2-2', '关于公司报告期内实际股利分配情况的说明', ''], ['9-2-3', '股利分配相关凭证', ''], ['9-3', '发行人关于发行后股利分配政策的说明', ''],
                    ['9-4', '相关三会文件', ''], ['9-5', '发行人制定股利分配方案的主要考虑因素的说明', ''], [10, '风险因素及其他重要事项调查', ''],
                    ['10-1', '重大风险因素调查取得的相关资料', ''], ['10-2', '重大合同（包括已履行完毕但属于报告期内且对发行人有重要影响的合同）', ''],
                     ['10-2-1-1', '重大销售合同', ''], ['10-2-1-2', '重大采购合同', ''],
                    ['10-2-1-3', '借款或授信合同', ''], ['10-2-1-4', '担保合同', ''], ['10-2-1-5', '其他重大合同', ''],
                    ['10-2-2', '重大合同函证、风险调查记录', ''], ['10-3', '诉讼和担保情况', ''], ['10-3-1', '发行人关于诉讼或仲裁事项的说明', ''],
                    ['10-3-2', '发行人不存在侵权之债的承诺', ''], ['10-3-3', '与重大诉讼或仲裁事项相关的合同、协议，法院或仲裁机构受理的相关文件（若有）', ''],
                    ['10-3-4', '所有对外担保（包括抵押、质押、保证等）合同（含子公司）', ''], [11, '其他事项调查', ''],
                    ['11-1', '发行人信息披露制度的建设和执行情况调查', ''], ['11-2', '发行人与保荐机构关联关系调查', ''], ['11-3', '对其他中介机构的调查', ''],
                    ['11-4', '媒体情况核查', ''], ['11-5', '即期回报摊薄核查', ''], [12, '其他承诺事项调查', ''],
                    ['12-1', '发行人对持股5%以上股东的持股意向及减持意向的说明文件，以及持股5%以上股东分别对减持意向出具的说明文件', ''], ['12-2', '稳定公司股价的预案说明文件', ''],
                    ['12-3', '控股股东、持有发行人股份的董事和高级管理人员出具的减持股份及锁定期的承诺', ''], ['12-4', '即期回报摊薄承诺', ''],
                    ['12-5', '发行人、控股股东出具的回购承诺', ''], ['12-6', '发行人、控股股东、实际控制人、董事、监事、高级管理人员出具的赔偿损失承诺', ''],
                    ['12-7', '所有公开承诺事项的主体对于未能履行承诺时的约束措施的说明文件', ''], ['12-8', '保荐机构、会计师事务所等证券服务机构出具赔偿损失的承诺', ''],
                    ['12-9', '其他承诺事项', ''], [13, '审计截止日后及会后事项调查', ''], ['13-1', '审计截止日后主要财务信息及经营状况核查', ''],
                    ['13-2', '会后事项核查', ''], ['', '', ''], [1, '会议纪要', ''], ['1-1', '定期会议（如周会）的会议资料以及会议记录', ''],
                    ['1-2', '重大事项的专题讨论会的会议资料及会议纪要', ''], ['1-3', '按照证监会保荐业务管理相关规定制作的工作日志', ''], [2, '备忘录', ''],
                    ['2-1', '保荐机构就重大或专题事项出具的备忘录', ''], ['2-2', '发行人律师就重大或专题事项出具的备忘录', ''],
                    ['2-3', '会计师就重大或专题事项出具的备忘录', ''], ['2-4', '评估师就重大或专题事项出具的备忘录', ''],
                    ['2-5', '承销商律师就重大或专题事项出具的备忘录（如有）', ''], ['2-6', '其他中介机构就重大或专题事项出具的备忘录（如有）', ''], [3, '访谈提纲及记录', ''],
                    ['3-1', '发行人高管访谈提纲及记录', ''], ['3-2', '发行人历史沿革相关的访谈提纲及记录（如有）', ''], ['3-3', '发行人股东访谈提纲及记录', ''],
                    ['3-4', '发行人员工访谈提纲及记录', ''], ['3-5', '利益相关方走访计划、清单及走访记录', ''], ['3-6', '发行人的客户和供应商访谈提纲及记录', ''],
                    ['3-7', '与发行人的开户银行和工商、税收、土地、环保、海关等部门、行业主管部门或行业协会以及其他相关机构或部门的访谈提纲及记录', ''],
                    ['3-8', '劳务派遣公司走访计划、清单及走访记录（如有）', ''], ['3-9', '直营、经销、加盟店面走访计划、清单及走访记录（如适用）', ''],
                    ['3-10', '审慎核查其他中介机构意见记录', ''], [4, '对发行人进行现场尽职调查的记录', ''], ['4-1', '现场访谈及盘点、资产实地尽职调查的记录文件', ''],
                    [5, '验证版招股说明书', ''], ['5-1', '验证版招股说明书', ''], ['', '', ''], [1, '保荐机构内部控制文件', ''],
                    ['1-1', '立项文件', ''], ['1-1-1', '立项申请文件', ''], ['1-1-2', '审查批准文件', ''], ['1-2', '内核文件', ''],
                    ['1-2-1', '内核会议通知（邮件通知）', ''], ['1-2-2', '质量控制现场核查文件', ''], ['1-2-3', '内部审核部门意见及回复', ''],
                    ['1-2-4', '内核会议纪要', ''], ['1-2-5', '内核审批文件', ''], ['1-3', '业务协议', ''],
                    ['1-3-1', '保密协议、框架协议、改制协议及其他', ''], ['1-3-2', '辅导协议', ''], ['1-3-3', '保荐协议', ''],
                    ['1-3-4', '承销协议', ''], [2, '辅导文件', ''], ['2-1', '辅导备案申请文件', ''], ['2-1-1', '辅导备案申请文件', ''],
                    ['2-1-2', '证监局确认予以备案登记的文件', ''], ['2-2', '辅导讲义', ''], ['2-3', '辅导考试试题及答卷', ''],
                    ['2-4', '历次辅导总结报告', ''], ['2-5', '辅导验收文件', ''], [3, '申报文件', ''], ['1-1', '报送中国证监会发行部的发行申请文件', ''],
                    ['', '', ''], [1, '在审阶段相关文件', ''], ['1-1', '更新财务数据的申报文件及相关底稿', ''], ['1-2', '发行部历次反馈意见回复及相关底稿', ''],
                    ['1-3', '上报发审委的文件', ''], ['1-4', '发审委反馈意见回复及相关底稿', ''], ['1-5', '封卷文件', ''], ['1-6', '发行批文', ''],
                    ['', '', ''], [1, '询价阶段相关文件', ''], ['1-1', '路演相关材料', ''], ['1-2', '询价阶段公告文件', ''],
                    ['1-3', '其他相关文件', ''], [2, '簿记阶段相关文件', ''], ['2-1', '投资者报价相关文件', ''], ['2-2', '定价会议记录', ''],
                    ['2-3', '初步询价结果及定价报告', ''], ['2-4', '发行公告', ''], ['2-5', '网下配售结果公告', ''], ['2-6', '网上中签率公告', ''],
                    ['2-7', '网上中签结果公告', ''], ['2-8', '法律意见书', ''], ['2-9', '其他备查资料', ''], [3, '承销团文件', ''],
                    ['3-1', '承销团文件', ''], [4, '发行总结文件', ''], ['4-1', '发行总结文件', ''], [5, '发行、上市申请文件及证券登记公司文件', ''],
                    ['5-1', '发行、上市申请阶段报送证券交易所文件', ''], ['5-2', '股份登记阶段报送证券登记公司文件', ''], ['', '', ''], [1, '持续督导文件', ''],
                    ['1-1', '持续督导协议、持续督导人员变更及交接手续资料（如有）；', ''], ['1-2', '持续督导计划及方案；', ''],
                    ['1-3', '上市公司持续督导期间的三会文件、信息披露文件等材料；', ''], ['1-4', '上市公司募集资金管理、使用相关底稿；', ''],
                    ['1-5', '现场检查相关工作材料；', ''], ['1-6', '持续督导意见、持续督导报告等报送证监会及其派出机构、证券交易所的材料及其支撑性底稿；', ''],
                    ['1-7', '监管机构检查反馈意见及落实情况（如有）；', ''], ['1-8', '曾提出的整改建议及对持续督导对象进行问题诊断、督促检查的有关资料；', ''],
                    ['1-9', '重大问题报告表和重大事项跟踪报告等重大事项及风险事项内部报告材料；', ''], ['1-10', '持续督导工作日志；', ''],
                    ['1-11', '其他反映持续督导工作记录的材料。', ''], ['10-3-4-1', '所有对外担保（包括抵押、质押、保证等）合同（含子公司）', ''],
                    ['10-3-4-2', '对外担保说明', ''],['19-1-1-1', '11', '']]
    NameList = [['', '', ''],['19-3-4', '测试', ''],['19-3-4-2', '测试', ''], ['第一章', '发行人基本情况调查', ''], ['1-1', '改制与设立情况', ''],
                    ['1-1-1', '改制前原企业（或主要发起人）的相关财务资料及审计报告', '【企查查】您的验证码是813056。如非本人'], ['1-1-2', '上级主管部门同意改制的批复文件', ''],
                    ['1-1-3', '发行人的改制重组方案，包括业务、资产、债务、人员等的重组安排', ''], ['1-1-4', '改制时所做的专项审计报告、评估报告、验资报告等', ''],
                    ['1-1-5', '国企改制的相关人员安置方案的职代会审议文件', ''], ['1-1-6', '国有资产评估的核准或备案文件、国有股权管理文件', ''],
                    ['1-1-7', '发行人设立时的政府批准文件、法律意见书、营业执照、工商登记文件', ''], ['1-1-8', '发起人协议、创立大会文件', ''],
                    ['1-1-9', '发行人设立时的公司章程', ''], ['1-1-10', '改制前原企业资产和业务构成情况的说明', ''],
                    ['1-1-11', '发行人成立时拥有的主要资产和业务情况的说明', ''], ['1-1-12', '发行人成立后主要发起人拥有的主要资产和实际从事业务情况的说明', ''],
                    ['1-1-13', '改制前原企业业务流程、改制后发行人业务流程，以及两者联系的说明', ''], ['1-1-14', '改制及发起人设立的相关访谈或核查记录', ''],
                    ['1-1-15', '改制瑕疵情况说明及处理（如有）', ''], ['1-1-17', '', ''], ['1-2', '发行人历史沿革情况', ''],
                    ['1-2-1', '发行人历次变更的营业执照、历次备案的公司章程以及相关的工商登记文件', ''],
                    ['1-2-2', '发行人成立以来在生产经营方面与主要发起人的关联关系及演变情况的说明', ''], ['1-2-3', '历史沿革相关的访谈或核查记录', ''],
                    ['1-3', '发起人、股东的出资情况', ''], ['1-3-1', '发行人设立时各发起人的营业执照（或身份证明文件）、财务报告', ''],
                    ['1-3-2', '发行人设立及历次股本变动时的验资报告、验资资料、出资凭证等', ''], ['1-3-3', '发行人设立后与股东之间的非交易性资金往来凭证', ''],
                    ['1-3-4', '发行人与股东之间资金占用情况的说明及相关凭证', ''], ['1-3-4-1', '发行人与股东之间资金占用情况的说明', ''],
                    ['1-3-4-2', '发行人与股东之间资金占用情况的相关凭证', ''],
                    ['1-3-5', '发起人、股东以实物资产出资时涉及的资产评估报告、审计报告及国有资产评估结果核准或备案文件', ''],
                    ['1-3-6', '发起人、股东以实物资产出资时，涉及的资产产权变更登记资料文件', ''], ['1-3-7', '自然人发起人直接持股和间接持股的有关情况，及其在发行人的任职情况', ''],
                    ['1-4', '报告期内重大股权变动情况（持股5%以上的股东发生变化）', ''],
                    ['1-4-1', '重大股权变动涉及股东的内部决策文件（股东大会、董事会、监事会（以下简称“三会”）决议等）', ''],
                    ['1-4-2', '发行人审议重大股权变动的股东大会、董事会、监事会决议等', ''], ['1-4-3', '重大股权变动涉及的政府及相关监管机构的批准文件', ''],
                    ['1-4-4', '重大股权变动涉及的审计报告、评估报告、验资报告、国有资产评估核准或备案文件、国有股权管理文件', ''],
                    ['1-4-5', '重大股权变动涉及的股权转让协议或增减资协议、债权人同意文件、工商变更登记文件、股权转让价款支付情况说明或支付凭证等', ''],
                    ['1-4-6', '重大股权变动其他核查底稿', ''], ['1-4-6-1', '重大股权变动时，其他股东放弃优先购买权的承诺函', ''],
                    ['1-4-6-2', '重大股权变动相关所得税（含个人、非居民等情况）缴纳凭证', ''], ['1-4-7', '发行人实行的股份支付及其他制度安排和执行情况', ''],
                    ['1-5', '重大重组情况', ''], ['1-5-1', '重大重组涉及的股东大会、董事会、监事会决议、独立董事意见', ''],
                    ['1-5-2', '与上述重大重组事项有关的所有协议', ''], ['1-5-3', '政府批准文件', ''],
                    ['1-5-4', '重大重组涉及的审计报告、评估报告、中介机构专业意见、国有资产评估核准或备案文件', ''],
                    ['1-5-5', '重大重组涉及国有资产转让的，国有资产进场交易的文件', ''], ['1-5-6', '债权人同意债务转移的相关文件、重组相关的对价支付凭证和资产过户文件', ''],
                    ['1-5-7', '重大重组对发行人业务、经营业绩、财务状况和管理层影响情况的说明', ''], ['1-6', '控股股东及实际控制人、发起人及主要股东情况', ''],
                    ['1-6-1', '发行人控股股东或实际控制人的组织结构（参控股子公司、职能部门设置）', ''], ['1-6-2', '发行人的组织结构图（参控股子公司、职能部门设置）', ''],
                    ['1-6-3', '控股股东及实际控制人、发起人及主要股东的营业执照、公司章程、最近一年及一期的财务报告及审计报告，控股股东的工商资料', ''],
                    ['1-6-4', '控股股东及实际控制人、发起人及主要股东如为自然人的，请提供关于国籍、永久境外居留权、身份证号码以及住所的说明', ''],
                    ['1-6-5', '控股股东及实际控制人控制的其他企业的营业执照、工商资料、公司章程、最近一年及一期的财务报告及审计报告', ''],
                    ['1-6-6', '控股股东及实际控制人、发起人及主要股东持有发行人股份是否存在质押或权属争议情况的说明及相关文件', ''],
                    ['1-6-7', '控股股东及实际控制人、发起人及主要股东及作为股东的董事、监事、高级管理人员作出的重要承诺及其履行情况的说明', ''],
                    ['1-6-8', '控股股东、实际控制人合法合规情况', ''], ['1-6-8-1', '控股股东、实际控制人关于合法合规情况的相关说明', ''],
                    ['1-6-8-2', '控股股东、实际控制人收到刑事处罚、行政处罚的相关资料（如有）', ''],
                    ['1-6-8-3', '控股股东、实际控制人涉嫌犯罪被立案调查和司法机关立案侦查的资料', ''], ['1-6-8-4', '控股股东、实际控制人的无违法违规证明，网络检索等核查资料', ''],
                    ['1-6-9', '发行人关于全部股东名称、持股数量及比例、股份性质的说明', ''], ['1-6-10', '股东中战略投资者持股的情况及相关资料', ''],
                    ['1-6-11', '股东核查其他工作底稿', ''], ['1-6-11-1', '股东调查问卷、自然人股东简历、股东实地走访访谈资料', ''],
                    ['1-6-11-2', '发行人各股东关联关系或一致行动情况的说明及协议', ''], ['1-6-11-3', '最近一年新增股东核查（如有）', ''],
                    ['1-6-11-4', '股东适格性核查（如有）', ''], ['1-6-11-5', '三类股东核查（如有）', ''],
                    ['1-6-11-6', '私募股权基金及管理人备案情况核查（如有）', ''], ['1-6-11-7', '股东对赌协议及解除的相关资料（如有）', ''],
                    ['1-6-11-8', '股份代持事项的核查（如有）', ''], ['1-7', '发行人控股子公司、参股子公司的情况', ''],
                    ['1-7-1', '发行人控股子公司的营业执照、公司章程、工商资料、最近三年及一期的财务报告及审计报告', ''],
                    ['1-7-2', '发行人参股子公司的营业执照、公司章程、工商基本信息、最近一年及一期的财务报告及审计报告', ''],
                    ['1-7-3', '发行人重要控股子公司、参股子公司的主要其他合作方情况和相关资料', ''],
                    ['1-7-4', '报告期内转让或受让控股子公司、对发行人有重大影响的参股子公司股权相关的决策性文件、评估报告（如有）、股权转让协议及支付凭证、税款缴纳凭证等', ''],
                    ['1-8', '员工及其独立性情况', ''], ['1-8-1', '报告期各期末的员工名册', ''],
                    ['1-8-2', '关于员工人数及其变化、专业结构、受教育程度、年龄分布的说明', ''], ['1-8-3', '社会保障制度、住房制度改革、医疗制度改革等执行情况', ''],
                    ['1-8-3-1', '发行人执行社会保障制度、住房制度改革、医疗制度改革情况的说明', ''], ['1-8-3-2', '发行人社保及公积金开户资料，报告期内社保及公积金缴纳凭证', ''],
                    ['1-8-3-2-1', '发行人社保及公积金开户资料', ''], ['1-8-3-2-2', '发行人报告期内社保及公积金缴纳凭证', ''],
                    ['1-8-3-2-2-1', '发行人报告期内社保缴纳凭证', ''], ['1-8-3-2-2-2', '发行人报告期内公积金缴纳凭证', ''],
                    ['1-8-3-3', '员工放弃缴纳社会保险和住房公积金的声明（如有）', ''],
                    ['1-8-3-4', '发行人控股股东、实际控制人关于发行人员工社会保险及住房公积金补缴事项的声明（如有）', ''], ['1-8-4', '劳动合同样本', ''],
                    ['1-8-5', '员工访谈记录', ''], ['1-8-6', '发行人董事会成员、高管人员的兼职情况', ''], ['1-8-7', '劳务派遣情况（如有）', ''],
                    ['1-8-7-1', '劳务派遣公司营业执照、工商信息、走访记录等', ''], ['1-8-7-2', '发行人与劳务派遣公司签订的合同', ''],
                    ['1-8-7-3', '发行人使用劳务派遣用工方式的原因及其对发行人持续经营影响的说明', ''], ['1-8-7-4', '劳动部门出具的关于劳务派遣合法合规的证明（如需）', ''],
                    ['1-8-8', '公司考核激励机制，人力资源管理制度及福利制度等（如需）', ''], ['1-8-9', '工资薪金的核查', ''],
                    ['1-8-9-1', '发行人及子公司员工工资明细表', ''],
                    ['1-8-9-2', '发行人员工工资水平与所在地区平均水平或同行业可比公司平均水平之间是否存在差异及差异合理性的核查底稿', ''],
                    ['1-8-9-3', '报告期内发行人员工总数、工资总额、人均工资、人员结构、工资占成本、费用比例的波动分析，公司员工数量与薪资的匹配关系的核查底稿', ''],
                    ['1-8-9-4', '发行人关于是否存在人为压低人员工资，阶段性降低高管薪资或推迟奖金发放情况的声明', ''], ['1-8-10', '劳务外包', ''],
                    ['1-8-10-1', '劳务外包公司营业执照、工商信息、走访记录等', ''], ['1-8-10-2', '发行人与劳务外包公司签订的合同', ''],
                    ['1-8-10-3', '发行人使用劳务外包用工方式的原因及其对发行人持续经营影响的说明', ''], ['1-8-10-4', '劳动部门出具的关于劳务外包合法合规的证明（如需）', ''],
                    ['1-9', '资产权属情况', ''], ['1-9-1', '房屋所有权列表及房屋所有权证，房屋使用用途说明', ''],
                    ['1-9-2', '土地使用权列表及土地使用权证，土地出让金缴纳情况', ''],
                    ['1-9-3', '房屋及土地、设备租赁情况列表，房屋、土地、设备租赁合同，租赁对方合法拥有相关资产的权属文件，租赁备案证明', ''],
                    ['1-9-4', '其他重要固定资产列表，权属证明及使用情况，主要生产设备的成新率', ''],
                    ['1-9-5', '商标、专利、非专利技术、水面养殖权、探矿权、采矿权、著作权、版权、特许经营权等无形资产列表及权属证明，相关资产或经营权的取得方式、期限、缴费情况，对发行人持续生产经营的影响',
                     ''], ['1-9-6', '业务许可资格或资质情况（包括但不限于生产经营许可、高新技术企业证书、安全生产许可、卫生许可、排污许可等）', ''],
                    ['1-9-7', '专利、非专利技术的用途介绍', ''], ['1-9-8', '许可第三方使用资产的情况说明，及相关协议文件', ''],
                    ['1-9-9', '被第三方许可使用资产的情况说明，相关协议文件、对方的资产权属证明，以及对发行人持续经营的影响', ''],
                    ['1-9-10', '境外拥有资产的情况说明及重要境外资产的权属证明', ''], ['1-9-11', '资产是否存在被控股股东、其他关联方控制或占用情况的说明', ''],
                    ['1-9-12', '资产抵押、质押或权利存在限制的情况及相关合同、证明文件', ''], ['1-9-13', '公司未取得权属证明相关资产的情况说明，以及预计办理进展、相关股东承诺', ''],
                    ['1-10', '业务、财务、机构的独立情况', ''], ['1-10-1', '控股股东、实际控制人与发行人从事的主要业务与拥有的资产情况', ''],
                    ['1-10-2', '如存在业务交叉，相互占用资产、资源的情况，要特别说明解决措施和效果', ''],
                    ['1-10-3', '控股股东、实际控制人与发行人的财务部门的设置以及独立运作情况', ''], ['1-10-4', '控股股东、实际控制人与发行人的采购销售部门的设置及各自运作情况', ''],
                    ['1-10-5', '控股股东与发行人的基本银行账户开设情况、重要税种的完税凭证', ''], ['1-10-6', '发行人关于机构独立情况的说明', ''],
                    ['1-10-7', '发行人内部各机构的规章制度', ''], ['1-10-8', '实际控制人控制其他企业核查情况', ''],
                    ['1-10-8-1', '实际控制人控制的其他企业的财务会计账簿', ''], ['1-10-8-2', '实际控制人控制其他企业与发行人客户及供应商往来情况核查', ''],
                    ['1-10-8-3', '实际控制人控制其他企业工资发放记录', ''], ['1-10-8-4', '实际控制人控制其他企业出具的关于是否存在为发行人代为支付成本费用的声明', ''],
                    ['1-11', '商业信用情况', ''], ['1-11-1', '报告期内重大商务合同及其履行情况', ''],
                    ['1-11-2', '发行人及其子公司工商、税务、行业主管部门、海关、环保、社保、公积金、银行等的调查反馈文件或无违规证明', ''],
                    ['1-11-3', '行业监管机构的监管记录和处罚文件（如有）', ''], ['1-11-4', '主要银行给予发行人的授信额度、主要银行信用评级情况以及发行人获得的主要荣誉和奖励', ''],
                    ['1-11-5', '主要证券媒体对公司的评论（负面报道）', ''], ['1-12', '内部职工股（如适用）', ''],
                    ['1-12-1', '募股文件、审批文件、缴款证明及验资报告', ''], ['1-12-2', '历次转让文件、历年托管证明文件', ''],
                    ['1-12-3', '内部职工股发行中的违法违规情况，包括超范围、超比例，变相增加内部职工股数量、违规转让和交易、法人股个人化等', ''],
                    ['1-12-4', '内部职工股潜在问题和风险隐患', ''], ['1-12-5', '股份形成及演变的法律文件，包括相关的工商登记资料、三会文件', ''],
                    ['1-12-6', '内部职工股清理的决策文件、相关协议、价款支付凭证', ''], ['1-12-7', '省级人民政府对发行人内部职工股托管情况及真实性的确认文件', ''],
                    ['1-12-8', '项目组与相关当事人当面访谈的访谈纪要', ''], ['1-13', '红筹架构形成及拆除的相关资料（如有）', ''],
                    ['1-13-1', '境外红筹架构梳理', ''], ['1-13-1-1', '境外组织架构说明文件', ''],
                    ['1-13-1-2', '境内企业境外投资的决策文件、对外投资审批文件（发改委项目审核、商务部门颁发境外投资证书、外汇登记及外汇汇出）', ''],
                    ['1-13-1-3', '境外SPV公司注册及周年备案全套材料', ''], ['1-13-1-4', '境外SPV控制人身份证明及永久居留证件', ''],
                    ['1-13-1-5', '境外SPV实际控制人访谈（设立原因、对外投资情况及境外SPV运营及合规情况、是否存在代持信托持股等）', ''],
                    ['1-13-1-6', '境内分红是否符合法规、章程及协议约定的说明文件及分红财务凭证', ''], ['1-13-2', '境内部分梳理', ''],
                    ['1-13-2-1', 'WFOE公司工商资料，投资协议（如有）', ''], ['1-13-2-2', '外汇登记或补登记文件', ''],
                    ['1-13-2-3', 'WFOE公司享受的税收优惠政策是否符合规定是否需要返还的说明、税务局证明', ''], ['1-13-3', '拆红筹底稿', ''],
                    ['1-13-3-1', '私有化：', ''], ['1-13-3-1-1', '私有化程序符合境外规定的说明或者境外律师法律意见书', ''],
                    ['1-13-3-1-2', '投资者诉讼材料（如有），境外监管机构的处罚文件（如有）', ''], ['1-13-3-1-3', '私有化的原因访谈文件；', ''],
                    ['1-13-3-2', '红筹架构拆解', ''], ['1-13-3-2-1', '境外SPV股东股权转让合同、价款支付凭证、纳税凭证、资金来源证明材料', ''],
                    ['1-13-3-2-2', '外汇审批文件', ''], ['1-13-3-2-3', '股东访谈', ''],
                    ['1-13-3-2-4', 'WFOE变为内资或者中外合资企业是否要返还税收优惠的税务局说明文件或WFOE公司声明', ''],
                    ['1-13-3-2-5', '境外原有SPV、境内WFOE注销文件', ''], ['1-13-4', 'VIE专项底稿', ''],
                    ['1-13-4-1', '独家业务合作协议、独家购买权协议、股票质押协议、借款协议等一揽子VIE协议', ''],
                    ['1-13-4-2', 'VIE公司的工商资料，VIE公司股东投资协议（如有），出资凭证', ''], ['1-13-4-3', '一揽子协议履行情况的访谈及相关方说明。', ''],
                    ['1-13-4-4', '一揽子协议的终止协议', ''],
                    ['1-13-4-5', 'VIE作为上市主体收购WFOE的，取得决策文件、收购协议、价款支付凭证、纳税凭证（如有），收购后主营业务不发生变更的说明。', ''],
                    ['1-13-5', '其他', ''],
                    ['1-13-5-1', '以原WFOE公司作为上市主体的（如有），符合国家产业政策的说明文件，实际控制人收购原WFOE股权的协议文件、价款支付凭证及纳税凭证等', ''],
                    ['1-13-5-2', '报告期内董监高、主营业务未发生重大变化的说明', ''],
                    ['1-13-5-3', '境外结构解除、股权转让产生纠纷导致发行人利益受损由实际控制人或股东承担损失的承诺函', ''], ['第二章', '业务与技术调查', ''],
                    ['2-1', '行业情况及竞争状况', ''], ['2-1-1', '发行人所属行业及行业主管部门、监管体系的说明，行业主管部门制定的发展规划、行业管理方面的法律法规及规范性文件', ''],
                    ['2-1-1-1', '发行人所属行业及行业主管部门、监管体系的说明', ''], ['2-1-1-2', '行业主管部门制定的发展规划、行业管理方面的法律法规及规范性文件', ''],
                    ['2-1-2', '引用的行业研究报告、行业研究资料、行业杂志相关内容的全文及出处', ''], ['2-1-3', '行业第三方意见（包括行业专家、协会等）', ''],
                    ['2-1-4', '主要竞争对手核查（通过公开渠道获得的主要竞争对手资料及意见）', ''],
                    ['2-1-5', '国家有关产业政策及发展纲要及发行人生产经营是否符合国家产业政策的说明', ''], ['2-1-6', '发行人的核心竞争力、竞争优劣势说明', ''],
                    ['2-1-7', '特殊行业发行人行业主管部门关于同意发行人申请发行的文件（如有）', ''], ['2-2', '采购情况', ''],
                    ['2-2-1', '行业和发行人采购模式的说明文件', ''], ['2-2-2', '与原材料、辅助材料以及能源动力供求、价格相关的研究报告和统计资料', ''],
                    ['2-2-3', '发行人报告期的采购情况以及成本变动分析', ''], ['2-2-3-1', '发行人关于采购来源以及价格稳定性的说明', ''],
                    ['2-2-3-2', '报告期各年度/各期主要产品成本构成情况', ''],
                    ['2-2-3-3', '报告期主要原材料、重要辅助材料及能源动力采购基本情况、采购价格及其变动情况，变动趋势与市场上相同或相近原材料和能源的价格及其走势的对比', ''],
                    ['2-2-3-4', '报告期发行人外协或外包占总采购额的比例，外协或外包生产方式对发行人营业成本、产品质量及技术保密的影响分析', ''], ['2-2-4', '主要供应商核查', ''],
                    ['2-2-4-1', '主要供应商明细表，包括原材料及辅助材料供应商，外协供应商，能源采购供应商名单', ''],
                    ['2-2-4-2', '发行人报告期向主要供应商的采购内容、采购数量、采购金额、占发行人同类原材料或服务采购金额、采购总额的比例核查（属于同一实际控制人的供应商，应合并计算）', ''],
                    ['2-2-4-3', '发行人关于与主要供应商首次发生业务的起始时间，报告期内交易额大幅增加、减少、合作关系取消或新增的供应商名单、采购金额、占比及变动原因，是否存在严重依赖少数供应商的情形',
                     ''], ['2-2-4-4', '主要供应商信息采集资料，包括工商信息，公开披露信息等', ''], ['2-2-4-5', '主要供应商的函证', ''],
                    ['2-2-4-6', '主要供应商的走访记录', ''], ['2-2-4-7', '主要供应商经营规模、行业地位、支付能力、所售货物与其生产经营能力和规模匹配性核查', ''],
                    ['2-2-5', '与采购相关的管理制度、存货管理制度及穿行测试、内控检查（包括采购内控制度、存货管理制度、供应商管理制度，采购组织体系和业务流程）', ''],
                    ['2-2-6', '与主要供应商（至少前10名）的供货合同及履行情况（包括：采购申请、采购合同、采购通知、验收证明、入库凭证、商业票据、款项支付、审批程序及相应账务处理记录）', ''],
                    ['2-2-7', '采购是否存在异常的核查', ''], ['2-2-7-1', '采购物流的核查（大金额原材料采购入库及外部运输单据）', ''],
                    ['2-2-7-2', '海关进口数据与各期原材料采购金额比对（如适用）', ''], ['2-2-7-3', '原材料采购数量与库存变动、产品耗用之间的勾稽关系', ''],
                    ['2-2-7-4', '采购金额与预付款、采购成本、应付账款之间的勾稽关系核查情况', ''], ['2-2-8', '采购截止测试', ''],
                    ['2-2-9', '发行人关于关联采购情况的说明及核查', ''],
                    ['2-2-10', '发行人董事、监事、高管人员和核心技术人员、主要关联方或持有发行人5%以上股份的股东在主要供应商中所占权益的说明', ''], ['2-3', '生产情况', ''],
                    ['2-3-1', '主要产品或服务的用途', ''], ['2-3-2', '主要产品的工艺流程图或服务的流程图', ''],
                    ['2-3-3', '行业与发行人生产模式及发行人主要产品生产周期的说明', ''], ['2-3-4', '发行人关于生产工艺、技术所处阶段，及在行业中领先程度的说明', ''],
                    ['2-3-5', '主要产品的设计生产能力和历年产量有关资料', ''], ['2-3-5-1', '发行人关于主要产品产能、产能利用率，产量和销售，产销比的说明', ''],
                    ['2-3-5-2', '关键设备单位产能外部证据', ''], ['2-3-5-3', '原材料及水电气等能源耗用情况说明', ''],
                    ['2-3-5-4', '产量、主要原材料及水电气等能源耗用量与产量匹配关系核查', ''], ['2-3-5-5', '生产人员、相关人员工资支出与产量匹配关系核查', ''],
                    ['2-3-6', '生产厂房及主要生产设备列表与使用情况说明', ''], ['2-3-7', '质量控制情况', ''], ['2-3-7-1', '质量控制制度文件', ''],
                    ['2-3-7-2', '通过质量认证情况', ''], ['2-3-7-3', '发行人关于质量控制制度执行情况及发行人是否存在产品质量纠纷或诉讼的说明', ''],
                    ['2-3-7-4', '报告期产品质量纠纷，因为产品质量引发的处罚等方面的资料（如有）', ''],
                    ['2-3-7-5', '质量技术监督部门出具报告期内发行人不存在严重质量问题的证明文件', ''], ['2-3-8', '安全生产情况核查', ''],
                    ['2-3-8-1', '安全生产管理制度及其执行情况、安全生产主要设施及相关设施运行情况', ''], ['2-3-8-2', '发行人以往发生的安全生产事故及处理结果等资料', ''],
                    ['2-3-8-3', '报告期安全生产费用的支出及未来计划支出情况', ''], ['2-3-8-4', '安全生产监督管理部门出具的报告期内发行人无重大安全生产事故的证明文件', ''],
                    ['2-3-9', '生产环保情况核查', ''], ['2-3-9-1', '生产产生的主要污染物、对污染物的处理及排放情况，是否符合国家环境保护要求的说明', ''],
                    ['2-3-9-2', '相关污染治理制度及执行情况，主要环保设施及环保设施运行情况', ''], ['2-3-9-3', '投资项目环评批复及验收文件', ''],
                    ['2-3-9-4', '生产工艺是否符合环境保护相关法规的说明', ''], ['2-3-9-5', '发行人以往发生的环保处罚及处理情况', ''],
                    ['2-3-9-6', '历年来在环境保护方面的投入及未来可能的投入情况的说明', ''], ['2-3-9-7', '环保部门出具的报告期内发行人未违反相关环保规定的有效证明文件', ''],
                    ['2-4', '销售情况', ''], ['2-4-1', '行业和发行人销售模式的说明文件', ''], ['2-4-2', '与主要产品供求、价格相关的研究报告和统计资料', ''],
                    ['2-4-3', '权威市场调研机构关于销售情况及产品市场占有率、市场排名的报告', ''], ['2-4-4', '主要产品市场的地域分布', ''],
                    ['2-4-5', '发行人的销售渠道，销售定价原则及销售价格变动情况，销售单价与市场价格之间的匹配情况', ''], ['2-4-6', '报告期对主要客户的核查', ''],
                    ['2-4-6-1', '主要客户明细表', ''],
                    ['2-4-6-2', '发行人报告期向主要客户的销售内容、销售数量、销售金额、占发行人同类产品或服务销售金额、销售总额的比例说明（属于同一实际控制人的客户，应合并计算采购额并说明）', ''],
                    ['2-4-6-3',
                     '发行人关于与主要客户首次发生业务的起始时间，最近一年及一期新增客户、报告期内销量或金额大幅增长、减小或合作关系取消的客户清单及其销售金额、占比变化情况，是否存在严重依赖个别客户的情况及其对发行人经营影响的说明',
                     ''], ['2-4-6-4', '主要客户信息采集资料，包括工商信息，公开披露信息等', ''], ['2-4-6-5', '主要客户的销售函证', ''],
                    ['2-4-6-6', '主要客户的走访记录', ''], ['2-4-6-7', '与新增和异常客户交易的合理性和持续性的核查', ''],
                    ['2-4-7', '销售管理制度、穿行测试及内部控制核查（包括销售业务内部控制制度、客户管理制度、销售信用政策、销售和收款业务涉及的主要岗位和人员、销售业务流程）', ''],
                    ['2-4-8', '与主要客户（至少前10名）的销售合同及履行情况（包括：单笔业务的销售订单、销售合同、发货通知、出库单、运输单据、商业票据、款项收回情况及相应账务处理记录）', ''],
                    ['2-4-9', '销售是否存在异常的核查', ''], ['2-4-9-1', '销售物流核查（销量和运费的勾稽，大额销售与相应的物流运输原始单据）', ''],
                    ['2-4-9-2', '销售数量与库存变化、当期产量之间的勾稽变动关系', ''], ['2-4-9-3', '销售收入与预收款、应收账款变动之间的勾稽关系核查', ''],
                    ['2-4-9-4', '会计期末销售收入异常增长情况的收入确认凭证（如有）', ''], ['2-4-10', '报告期内产品销售退回的数量、金额、原因及相应财务处理等核查', ''],
                    ['2-4-11', '报告期产品返修率、客户诉讼和产品质量纠纷等方面的资料', ''], ['2-4-12', '重大关联销售情况的说明', ''],
                    ['2-4-13', '董事、监事、高管人员和核心技术人员、主要关联方或持有发行人5%以上股份的股东在主要客户中所占权益的说明', ''], ['2-4-14', '出口销售核查（如有）', ''],
                    ['2-4-14-1', '出口市场核查（适用于出口占比较高的发行人）', ''], ['2-4-14-2', '海关出口数据及其与发行人出口金额的勾稽分析', ''],
                    ['2-4-14-3', '出口退税相关政策文件，报告期出口退税金额及其与外销收入的勾稽分析', ''], ['2-4-15', '经销商/加盟商模式核查（如有）', ''],
                    ['2-4-15-1', '经销商、加盟商管理制度', ''], ['2-4-15-2', '经销商、加盟商合同、协议', ''],
                    ['2-4-15-3', '经销商、加盟商明细清单，包括地址，面积，开关店时间，对其销售政策，销售金额', ''],
                    ['2-4-15-4', '经销商、加盟商店铺平效分析、店铺平均存货分析', ''], ['2-4-15-5', '结合直营店和加盟店的内部控制制度进行穿行测试', ''],
                    ['2-4-15-6', '直营店、加盟店信息系统介绍及说明', ''], ['2-4-15-7', '经销/加盟商最终销售核查', ''],
                    ['2-4-15-8', '经销/加盟商退换货核查记录', ''], ['2-4-16', '按照合同履约进度确认收入的核查（如有）', ''],
                    ['2-4-17', '特殊业务模式、创新业务模式的核查记录和原始记录', ''], ['2-5', '核心技术人员、技术与研发情况', ''],
                    ['2-5-1', '有关研发的相关机制、机构设置、激励制度、研发人员资历等资料', ''], ['2-5-2', '技术许可协议、技术合作协议', ''],
                    ['2-5-3', '核心技术列表，核心技术的取得及使用是否存在纠纷或潜在纠纷及侵犯他人知识产权的情形的说明', ''],
                    ['2-5-4', '与非专利技术相关的保密制度及其与核心技术人员签订的保密协议', ''], ['2-5-5', '发行人取得的主要研发成果、在研项目、研发目标及研发费用投入情况', ''],
                    ['第三章', '同业竞争与关联交易调查', ''], ['3-1', '同业竞争情况', ''], ['3-1-1', '发行人改制重组方案', ''],
                    ['3-1-2', '发行人、控股股东或实际控制人及其控制的企业主营业务情况的说明', ''],
                    ['3-1-3', '发行人与控股股东或实际控制人及其控制的企业之间如存在同业竞争的，有关解决同业竞争的情况说明（方案、进展等）', ''],
                    ['3-1-4', '控股股东或实际控制人关于避免同业竞争的承诺函', ''], ['3-2', '关联方及关联交易情况', ''], ['3-2-1', '关联方认定及关联关系核查', ''],
                    ['3-2-1-1', '关联关系调查表及承诺函', ''], ['3-2-1-2', '关联方列表及关联法人营业执照', ''],
                    ['3-2-1-3', '主要关联方的工商登记资料、财务报表及主营业务介绍', ''], ['3-2-2', '关联交易核查', ''], ['3-2-2-1', '关联交易管理制度', ''],
                    ['3-2-2-2', '关联交易清单', ''], ['3-2-2-3', '与关联交易相关的会议记录资料', ''], ['3-2-2-4', '与关联交易相关的独立董事意见', ''],
                    ['3-2-2-5', '报告期关联方与发行人资金往来核查', ''], ['3-2-2-6', '关联交易真实性核查（关联交易相关的协议、原始销售单据、回款凭据）', ''],
                    ['3-2-2-7', '关联交易公允性核查（关联交易定价依据，与独立第三方交易条件和交易价格比较，公开市场交易价格比较是否公允）', ''],
                    ['3-2-2-8', '关联交易在销售或采购中的占比及其对发行人经营独立性的影响，以及对当期经营成果的影响', ''],
                    ['3-2-2-9', '关联交易相关的应收、应付款项占发行人应收、应付款项的比例', ''], ['3-2-2-10', '持续性和偶发性关联交易及其对发行人长期持续运营的影响', ''],
                    ['3-2-2-11', '关联交易必要性、持续性、真实性的说明，发行人是否利用与关联方或其他利益相关方的交易实现报告期收入的增长核查', ''],
                    ['3-2-2-12', '发行人关于减少关联交易的措施说明，发行人关于关联交易的承诺及声明', ''],
                    ['3-2-3', '发行人高管人员及核心技术人员是否在关联方单位任职、领取薪酬的情况说明', ''], ['3-2-4', '保荐机构、PE及其关联方等与发行人大额交易的核查', ''],
                    ['3-2-5', '发行人与重要子公司少数股东关联交易核查（如有）', ''], ['3-2-6', '发行人报告期关联方注销情况核查（如有）', ''],
                    ['3-2-7', '发行人报告期关联方非关联化情况核查（如有）', ''], ['第四章', '董事、监事、高级管理人员及核心技术人员调查', ''],
                    ['4-1', '任职及任职资格', ''], ['4-1-1', '董事会、监事会、高级管理人员及核心技术人员的构成情况及职责，核心技术人员认定依据、标准及范围的说明', ''],
                    ['4-1-2', '与任职情况及资格有关的三会文件', ''],
                    ['4-1-3', '董事、监事、高级管理人员及核心技术人员相互之间，及其与控股股东、实际控制人之间是否存在亲属关系的说明', ''],
                    ['4-1-4', '董事（包括独立董事）、监事、高级管理人员是否符合相关任职资格的说明', ''], ['4-1-5', '监管部门对于上述人员任职资格的批准或备案文件（如有）', ''],
                    ['4-2', '简历及操守', ''], ['4-2-1', '董事、监事、高级管理人员及核心技术人员简历、调查表', ''],
                    ['4-2-2', '发行人关于董事、监事、高级管理人员及核心技术人员是否存在违规行为的说明，是否受到相关部门处罚或立案侦查、立案调查情况', ''],
                    ['4-2-3', '发行人董事、监事、高级管理人员及核心技术人员的无违法违规证明及网络检索核查', ''], ['4-2-4', '发行人与高管人员所签定的协议或承诺以及履行情况', ''],
                    ['4-2-5', '董事、监事、高级管理人员及核心技术人员与发行人签署的劳动合同、保密协议、竞业禁止协议（如有）', ''],
                    ['4-2-6', '董事、监事、高级管理人员及核心技术人员与原任职单位在竞业禁止、保密协议、职务发明等方面的核查资料', ''], ['4-3', '胜任能力和勤勉尽责', ''],
                    ['4-3-1', '董事、监事、高级管理人员及核心技术人员曾担任高管人员的其他公司的规范运作情况以及该公司经营情况', ''],
                    ['4-3-2', '董事、监事、高级管理人员及核心技术人员在发行人投入的时间的说明以及相关的三会及总经理办公会纪要或纪录', ''],
                    ['4-3-3', '发行人现任董事、监事、高级管理人员是否受到过交易所或证监会谈话提醒、通报批评、公开谴责等情况说明及承诺', ''], ['4-4', '薪酬及兼职情况', ''],
                    ['4-4-1', '与薪酬情况相关的三会文件', ''], ['4-4-2', '关于是否存在兼职情况的说明', ''],
                    ['4-4-3', '从关联方领取报酬以及享受其他待遇情况的说明', ''], ['4-5', '报告期内变动情况', ''],
                    ['4-5-1', '报告期内董事、监事、高级管理人员及核心技术人员变动情况说明', ''], ['4-5-2', '与上述人员变动相关的三会文件', ''],
                    ['4-6', '持股及其他对外投资等情况', ''], ['4-6-1', '董事、监事、高级管理人员及核心技术人员就持股及其他对外投资情况发出的声明文件', ''],
                    ['4-6-2', '董事、监事、高级管理人员及核心技术人员及其直系亲属是否存在自营或为他人经营与发行人同类业务的情况及声明文件', ''],
                    ['4-6-3', '董事、监事、高级管理人员及核心技术人员及其直系亲属是否存在与公司利益发生冲突的对外投资，是否存在重大债务负担及声明文件', ''],
                    ['4-6-4', '董事、监事、高级管理人员及核心技术人员是否涉及诉讼、是否存在到期未偿还债务等情况的声明及相关资料', ''],
                    ['4-6-5', '董事、监事、高级管理人员及核心技术人员关于竞业禁止的承诺', ''], ['第五章', '组织机构与内部控制调查', ''],
                    ['5-1', '公司章程及其规范运行情况', ''], ['5-1-1', '与公司章程历次修改相关的三会文件、公司章程进行工商变更登记的资料', ''],
                    ['5-1-2', '发行人就近三年内是否存在违法违规行为的说明，如无，则出具明确的书面声明', ''], ['5-1-3', '发行人子公司无违法违规承诺', ''],
                    ['5-2', '组织结构和三会运作情况', ''], ['5-2-1', '组织结构及关于部门职能描述的文件', ''],
                    ['5-2-2', '公司治理制度规定，包括三会议事规则、董事会专门委员会人员构成及议事规则、董事会秘书制度、总经理工作制度、内部审计制度等文件', ''],
                    ['5-2-3', '历次三会的会议文件，包括书面通知副本、会议记录、会议决议等', ''], ['5-3', '独立董事制度及其执行情况', ''],
                    ['5-3-1', '独立董事简历及任职资格说明', ''], ['5-3-2', '独立董事制度', ''], ['5-3-3', '独立董事历次履行职责的情况说明', ''],
                    ['5-3-4', '独立董事发表的意见', ''], ['5-4', '内部控制环境', ''], ['5-4-1', '有助分析发行人内部控制环境的董事会、总经理办公会等会议记录', ''],
                    ['5-4-2', '各项业务及管理规章制度', ''], ['5-5', '业务控制', ''], ['5-5-1', '发行人各项业务控制标准、控制措施的相关制度规定', ''],
                    ['5-5-2', '发行人存在因违反工商、税务、审计、环保、海关、劳动保护等部门的相关规定而受到处罚通知及相关规定（如有）', ''], ['5-6', '信息系统控制', ''],
                    ['5-6-1', '信息系统控制相关的规章制度', ''], ['5-7', '会计管理控制', ''],
                    ['5-7-1', '会计管理的相关资料（包括但不限于会计制度、会计人员培训制度、会计政策、会计报告制度等会计管理制度）', ''],
                    ['5-7-2', '发行人会计管理内部控制完整性、合理性及有效性的核查', ''], ['5-7-2-1', '会计科目的设置及使用情况', ''],
                    ['5-7-2-2', '财务部人员配备情况（包括财务人员资质以及财务岗位设置情况）', ''], ['5-7-2-3', '财务会计信息系统介绍', ''],
                    ['5-7-2-4', '资金管理的内部控制情况（资金循环测试）', ''], ['5-8', '内部控制的监督', ''], ['5-8-1', '内部审计报告及监事会报告', ''],
                    ['5-8-2', '发行人管理层对内部控制完整性、合理性及有效性的自我评价书面意见', ''],
                    ['5-8-3', '发行人内部审计稽核部门设置情况及相关内部审计制度，审计委员会的运行情况', ''], ['5-9', '股东资金占用情况', ''],
                    ['5-9-1', '发行人最近三年与股东之间的非交易性资金往来凭证及相关说明', ''],
                    ['5-9-2', '发行人关于最近三年是否存在资金被控股股东、实际控制人及其控制的其他企业占用的情况说明及相关协议、转账凭证', ''],
                    ['5-9-3', '发行人关于是否为控股股东、实际控制人及其控制的其他企业担保的说明及相关合同', ''], ['第六章', '财务与会计调查', ''],
                    ['6-1', '发行人最近三年及一期的财务资料', ''], ['6-1-1', '最近三年及一期经审计的审计报告及原始财务报表、差异分析', ''],
                    ['6-1-2', '下属子公司最近三年及一期的审计报告及原始财务报表、差异分析', ''], ['6-1-3', '披露的参股子公司最近一年及一期的财务报告及审计报告', ''],
                    ['6-1-4',
                     '如发行人最近一年及一期内收购兼并其他企业资产（或股权），且被收购企业资产总额或营业收入或净利润超过收购前发行人相应项目20%（含20%），被收购企业收购前一年的财务报表及财务状况核查', ''],
                    ['6-1-5', '如接受过国家审计，该等审计报告', ''], ['6-1-6', '对财务资料中重点事项进行调查、复核或进行专项核查的相关资料', ''],
                    ['6-1-7', '最近三年内发生重大资产重组的发行人提供的模拟财务报告及审计报告和重组进入公司的资产的财务报告、资产评估报告或/和审计报告', ''],
                    ['6-1-8', '分部报告（如有）', ''], ['6-2', '发行人资产评估报告', ''],
                    ['6-2-1', '公司设立时（含有限责任公司改制期间）及报告期内历次资产评估报告', ''], ['6-2-2', '公司设立时（含有限责任公司改制期间）及报告期内历次土地评估报告', ''],
                    ['6-2-3', '报告期内发行人用资产对子公司出资的，相关资产评估报告', ''], ['6-2-4', '其他评估报告（矿产、房地产开发存货等）', ''],
                    ['6-3', '有关内控制度', ''], ['6-3-1', '公司各项内部控制制度', ''], ['6-3-2', '公司管理层对内部控制完整性、合理性及有效性的自我评估', ''],
                    ['6-3-3', '报告期内，监管机构对发行人有关内部控制制度的评价结果（如有）', ''], ['6-3-4', '注册会计师对内部控制的鉴证意见', ''],
                    ['6-3-5', '注册会计师关于内部控制的整改建议及企业的整改措施', ''], ['6-4', '主要会计政策及会计估计', ''],
                    ['6-4-1', '主要会计政策及会计估计的同业比较情况', ''], ['6-4-2', '报告期内重大会计政策、估计变更情况', ''], ['6-5', '销售收入分析', ''],
                    ['6-5-1', '发行人收入确认会计政策的核查（收入确认政策，同行业对比，收入确认原始单据的验证）', ''],
                    ['6-5-2', '发行人收入的产品构成、地域构成及其变动情况的核查', ''], ['6-5-2-1', '发行人主营业务收入明细表，其他业务收入明细表', ''],
                    ['6-5-2-2', '发行人分类收入、成本、毛利构成明细表（按产品分类、按产品销售地域分类、按产品销售模式分类、按主要客户分类）', ''],
                    ['6-5-2-3', '报告期内收入增减变化情况及原因、收入构成及变化原因，是否符合行业和市场周期的变化核查', ''],
                    ['6-5-2-4', '发行人主要产品报告期价格变动的资料，是否符合行业和市场同期的变化情况', ''],
                    ['6-5-2-5', '发行人报告期主要产品的销量变化资料，是否符合行业和市场同期的变化情况', ''],
                    ['6-5-2-6', '发行人属于强周期性行业的，其收入变化情况与该行业是否保持一致', ''],
                    ['6-5-2-7', '发行人营业收入季节性波动明显的，季节性因素对季度收入影响的核查', ''], ['6-5-2-8', '发行人盈利能力的持续性和稳定性的核查', ''],
                    ['6-5-3', '收入截止测试', ''], ['6-5-4', '主要客户销售收入函证', ''], ['6-5-5', '报告期内退换货情况核查', ''],
                    ['6-5-5-1', '报告期内各期退换货明细表（包括客户名称、退货金额、退货原因、具体货物名称规格等信息、退货后再销售还是返回生产或销毁等）以及财务退换货记录', ''],
                    ['6-5-5-2', '仓储部门退换货记录及退货单、入库单等原始凭证', ''], ['6-5-5-3', '退货申请单、销售部门对销售退回的处理意见', ''],
                    ['6-6', '销售成本分析', ''], ['6-6-1', '报告期主要产品的成本明细表', ''], ['6-6-2', '报告期内成本构成表以及成本构成变动的核查', ''],
                    ['6-6-3', '发行人成本核算方法，成本核算的方法是否符合实际经营情况和会计准则的要求，以及与同行业可比公司情况的核查', ''], ['6-7', '毛利率构成及变动分析', ''],
                    ['6-7-1', '毛利构成及变动分析', ''], ['6-7-2', '主要产品报告期内毛利率波动原因分析', ''],
                    ['6-7-3', '同业可比公司毛利率资料，发行人与同业可比公司相同或相近产品或服务的毛利率对比分析', ''], ['6-8', '营业外收支', ''],
                    ['6-8-1', '补贴收入的批复或相关证明文件', ''], ['6-8-2', '金额较大的营业外收入、营业外支出明细表及凭据', ''], ['6-9', '期间费用', ''],
                    ['6-9-1', '销售费用', ''], ['6-9-1-1', '销售费用明细表', ''], ['6-9-1-2', '销售费用率的变动趋势与营业收入的变动趋势是否一致的核查', ''],
                    ['6-9-1-3', '销售费用的项目与发行人的销售是否匹配的核查', ''], ['6-9-1-4', '大额销售费用项目支出的细节测试', ''], ['6-9-2', '管理费用', ''],
                    ['6-9-2-1', '管理费用明细表', ''], ['6-9-2-2', '管理人员的薪酬合理性核查', ''], ['6-9-2-3', '大额管理费用项目支出的细节测试', ''],
                    ['6-9-3', '财务费用', ''], ['6-9-3-1', '财务费用明细表', ''], ['6-9-3-2', '贷款利息计提及资本化情况核查', ''],
                    ['6-9-3-3', '关联方资金占用利息计提情况（如有）', ''], ['6-9-4', '研发费用', ''], ['6-9-4-1', '研发费用的规模与研发匹配性核查', ''],
                    ['6-9-4-2', '研发费用资本化核查（如有）', ''], ['6-9-5', '发行人报告期内期间费用及费用率变动分析，期间费用率与同行业可比公司对比分析', ''],
                    ['6-9-6', '费用截止测试', ''], ['6-9-7', '费用支出的穿行测试', ''],
                    ['6-9-8', '经注册会计师验证的发行人报告期加权平均净资产收益率和非经常性损益明细表', ''], ['6-10', '发行人资金核查', ''],
                    ['6-10-1', '发行人资金循环内控核查，包括资金循环内控流程，管理制度以及穿行测试', ''], ['6-10-2', '现金交易核查', ''],
                    ['6-10-2-1', '现金管理制度及执行情况', ''], ['6-10-2-2', '报告期内现金销售、采购情况及现金收付的金额、占比及原始凭证', ''],
                    ['6-10-2-3', '现金日记账', ''], ['6-10-2-4', '现金交易改进情况', ''], ['6-10-2-5', '现金交易客户或供应商的访谈、函证资料', ''],
                    ['6-10-2-6', '现金盘点表', ''], ['6-10-3', '银行账户明细表及相关账户资料', ''], ['6-10-3-1', '银行账户及第三方支付平台账户明细表', ''],
                    ['6-10-3-2', '银行账户开户证明，开立及注销的银行账户清单及开户申请表', ''], ['6-10-3-3', '银行日记账', ''],
                    ['6-10-3-4', '银行余额调节表', ''], ['6-10-3-5', '资金账户银行询证函等核查资料（函证）', ''],
                    ['6-10-3-6', '银行对账单（银行盖章）及第三方支付平台账户流水', ''], ['6-10-3-7', '证券投资账户资料（如有）', ''],
                    ['6-10-4', '发行人银行流水核查', ''], ['6-10-4-1', '发行人大额资金收支抽查记录', ''], ['6-10-4-2', '销售回款测试', ''],
                    ['6-10-4-3', '采购付款测试', ''], ['6-10-4-4', '大额工程款支出测试', ''], ['6-10-4-5', '第三方回款核查', ''],
                    ['6-10-5', '关联方资金核查', ''], ['6-10-5-1', '实际控制人及其配偶、内部董事、监事、高级管理人员关于名下银行卡的声明，银行卡对账单（如有必要扩大范围）', ''],
                    ['6-10-5-2', '实际控制人控制的其他企业的银行账户清单，银行对账单', ''], ['6-10-5-3', '关联方资金流水与发行人业务是否相关的核查记录', ''],
                    ['6-10-6', '利用员工账户或其他个人账户进行货款收支及款项往来情况的核查（如有）', ''], ['6-10-7', '银行贷款卡信息', ''],
                    ['6-10-8', '其他货币资金核查', ''], ['6-11', '应收款项核查', ''], ['6-11-1', '应收款项明细及变动分析', ''],
                    ['6-11-1-1', '应收账款明细表和账龄分析表', ''], ['6-11-1-2', '其他应收款明细表和账龄分析表', ''],
                    ['6-11-1-3', '预付账款明细表和账龄分析表', ''], ['6-11-1-4', '报告期应收票据及应收款项融资明细表（含票据贴现、背书情况）', ''],
                    ['6-11-1-5', '其他流动资产明细表', ''], ['6-11-1-6', '发行人关于本期核销的应收款项的情况说明', ''],
                    ['6-11-1-7', '主要客户信用政策的变化情况', ''], ['6-11-1-8', '应收账款余额变动及销售收入的匹配情况', ''],
                    ['6-11-1-9', '应收账款周转率同行业对比分析', ''], ['6-11-2', '坏账政策及坏账准备，坏账政策的同行业对比', ''],
                    ['6-11-3', '主要债务人及主要逾期债务人名单', ''], ['6-11-4', '与应收款项相关的重要销售合同(清单及复印件)', ''],
                    ['6-11-5', '应收持发行人5％及以上表决权股份的股东款项的情况', ''], ['6-11-6', '重大应收款项的函证文件（可与收入函证合并发出）', ''],
                    ['6-11-7', '期后大额应收款项的回收情况核查', ''], ['6-11-8', '大额预付账款的合同及期后执行情况', ''],
                    ['6-11-9', '大额其他应收款的收款对象及合理性核查，往来款清理情况', ''], ['6-12', '存货及合同资产明细表及构成分析', ''],
                    ['6-12-1', '存货及合同资产分类明细及构成表', ''], ['6-12-2', '存货及合同资产管理制度及其执行情况的说明', ''],
                    ['6-12-3', '管理层对期末大额存货余额及是否充分计提存货跌价准备所做说明', ''], ['6-12-4', '发行人存货盘点资料', ''],
                    ['6-12-4-1', '仓库基本情况表，仓储部门存货结构表及明细清单', ''], ['6-12-4-2', '发行人存货盘点记录', ''],
                    ['6-12-4-3', '会计师存货监盘计划和监盘记录', ''], ['6-12-4-4', '保荐机构监盘记录', ''], ['6-12-4-5', '存货抽盘倒扎表（如有）', ''],
                    ['6-12-5', '第三方存货核查资料（函证、确认函等，若盘点，尽调方式同前）', ''], ['6-12-6', '利息资本化核查记录（适用房地产等存在较大金额利息资本化的企业）', ''],
                    ['6-12-7', '跌价准备情况调查', ''], ['6-12-8', '存货构成，存货周转率、跌价准备等同业资料，及可比分析', ''], ['6-13', '重要的对外投资', ''],
                    ['6-13-1', '对外投资制度及其执行情况', ''], ['6-13-2', '发行人投资列表', ''], ['6-13-3', '被投资公司的营业执照、财务报表、审计报告', ''],
                    ['6-13-4', '投资协议', ''], ['6-13-5', '重大委托理财的相关合同', ''], ['6-13-6', '重大项目的投资合同', ''],
                    ['6-13-7', '关于对外投资的内部批准文件', ''], ['6-13-8', '报告期发行人购买或出售被投资公司股权时的财务报告、审计报告及评估报告', ''],
                    ['6-13-9', '对外投资减值测试', ''], ['6-14', '固定资产', ''], ['6-14-1', '固定资产清单，折旧明细表', ''],
                    ['6-14-2', '固定资产盘点资料', ''], ['6-14-3', '报告期内新增重大资产核查资料，包括固定资产运输、安装、投产有关原始记录', ''],
                    ['6-14-4', '报告期内减少重大资产核查资料', ''], ['6-14-5', '固定资产减值准备核查', ''], ['6-15', '在建工程', ''],
                    ['6-15-1', '在建工程明细表', ''], ['6-15-2', '在建工程内部立项决策文件、施工许可、批复、合同等', ''],
                    ['6-15-3', '在建工程工程进度、监理报告，在建工程机器设备安装、投产等原始记录', ''], ['6-15-4', '利息资本化表核查', ''],
                    ['6-15-5', '在建工程盘点走访记录', ''], ['6-15-6', '在建工程减值核查', ''], ['6-16', '无形资产摊销及减值情况', ''],
                    ['6-17', '报告期及正在履行的主要债务', ''], ['6-17-1', '银行借款合同', ''], ['6-17-2', '委托贷款合同', ''],
                    ['6-17-3', '现时有效的银行授信合同及其担保合同', ''], ['6-17-4', '应付持发行人5%及以上表决权股份的股东账款情况', ''],
                    ['6-17-5', '重要应付款(应付、其他应付、长期应付、应付票据等)明细表、及合同、函证等核查底稿（应付函证可与采购函证一并发出）', ''],
                    ['6-17-6', '重要预收款及合同负债明细表', ''], ['6-17-7', '重要应付款、预收款项分析复核资料', ''],
                    ['6-17-8', '异常事项核查记录(预计负债）', ''], ['6-18', '纳税情况', ''],
                    ['6-18-1', '发行人及各控股子公司、参股子公司的各项税率及享有优惠情况的说明', ''], ['6-18-2', '报告期发行人及各独立缴税分支机构的纳税申报表', ''],
                    ['6-18-3', '发行人历史上所有关于税务争议、滞纳金缴纳、以及重大关税纠纷的详细情况以及有关文件及信函', ''], ['6-18-4', '发行人及各控股子公司的所有纳税凭证', ''],
                    ['6-18-5', '发行人享有税收优惠的有关政府部门的批复', ''], ['6-18-6', '报告期内产品出口退税税率变动情况及相关文件', ''],
                    ['6-18-7', '当地税务部门出具的关于发行人报告期内纳税情况的证明文件', ''], ['6-18-8', '主要税种纳税情况说明的专项报告', ''],
                    ['6-19', '发行人异常交易核查情况（偶发交易及不具有实物形态交易）', ''], ['6-19-1', '相关交易合同（协议）及相关凭证（包括交易支付凭证）附件', ''],
                    ['6-19-2', '交易对手工商登记资料或基本情况说明，走访/访谈/函证记录', ''], ['6-19-3', '交易必要性、合理性和公允性的核查记录', ''],
                    ['6-20', '报告期内发行人主要财务指标情况表、同业比较', ''], ['6-21', '报告期内重大会计差错更正情况', ''],
                    ['6-22', '报告期内发行人管理层关于商誉减值测试情况说明', ''], ['6-23', '盈利预测报告（如有）', ''], ['6-24', '境内外报表差异调节表（如有）', ''],
                    ['6-25', '历次验资报告', ''], ['6-26', '现金流分析', ''], ['第七章', '业务发展目标调查', ''], ['7-1', '发展战略', ''],
                    ['7-1-1', '中长期发展战略规划资料', ''], ['7-1-2', '战略委员会会议纪要', ''], ['7-1-3', '独立董事意见', ''],
                    ['7-1-4', '有关公司发展战略的三会文件', ''], ['7-2', '历年发展计划及年度报告', ''], ['7-3', '业务发展目标', ''],
                    ['7-3-1', '未来二至三年的发展计划', ''], ['7-3-2', '业务发展目标相关文件', ''], ['7-3-3', '制定业务发展目标的依据性文件', ''],
                    ['7-3-4', '业务发展目标与现有业务的关系', ''], ['7-3-5', '募集资金投向与业务发展目标的关系', ''], ['第八章', '募集资金运用调查', ''],
                    ['8-1', '本次募集资金运用的相关资料', ''], ['8-1-1', '可行性研究报告', ''],
                    ['8-1-2', '关于本次募集资金运用的董事会、股东大会的议案、决议和会议纪要', ''], ['8-1-3', '涉及本次募集资金项目有关主管部门的批复或相关核准或备案文件', ''],
                    ['8-1-4', '本次募集资金投向涉及安全、环保等需相关政府部门出具的批复', ''], ['8-1-5', '如收购资产的，拟收购资产的财务报告、审计报告、资产评估报告及收购协议', ''],
                    ['8-1-6', '如收购的资产为在建工程，相关工程资料及收购协议', ''],
                    ['8-1-7', '拟增资或收购的企业最近一年及一期经具有证券业务资格的会计师事务所审计的资产负债表和利润表', ''],
                    ['8-1-8', '合作、合资基本情况说明以及合作协议（适用于合资或合作经营的项目）', ''], ['8-1-9', '现有产品行业市场的分析资料（适用于扩大产能项目）', ''],
                    ['8-1-10', '新产品行业市场、技术保障的分析资料（适用于新产品开发的项目）', ''],
                    ['8-1-11', '固定资产和研发支出增加的影响的分析资料（适用于增加固定资产和研发支出的项目）', ''],
                    ['8-2', '发行人关于募集资金运用对财务状况及经营成果影响的详细分析', ''], ['8-3', '关于建立募集资金专项存储、使用的文件', ''],
                    ['8-3-1', '关于募集资金专项管理的相关制度文件', ''], ['8-3-2', '募集资金专项账户的开户证明、使用情况的说明', ''],
                    ['8-4', '募集资金投向产生的关联交易', ''], ['8-4-1', '关联方资料', ''], ['8-4-2', '评估报告和审计报告（如有）', ''],
                    ['8-4-3', '项目合作协议及合资公司设立文件', ''], ['第九章', '股利分配情况调查', ''], ['9-1', '最近三年的股利分配政策', ''],
                    ['9-2', '发行人关于实际股利分配情况的说明', ''], ['9-2-1', '发行人关于实际股利分配的三会文件', ''],
                    ['9-2-2', '关于公司报告期内实际股利分配情况的说明', ''], ['9-2-3', '股利分配相关凭证', ''], ['9-3', '发行人关于发行后股利分配政策的说明', ''],
                    ['9-4', '相关三会文件', ''], ['9-5', '发行人制定股利分配方案的主要考虑因素的说明', ''], ['第十章', '风险因素及其他重要事项调查', ''],
                    ['10-1', '重大风险因素调查取得的相关资料', ''], ['10-2', '重大合同（包括已履行完毕但属于报告期内且对发行人有重要影响的合同）', ''],
                     ['10-2-1-1', '重大销售合同', ''], ['10-2-1-2', '重大采购合同', ''],
                    ['10-2-1-3', '借款或授信合同', ''], ['10-2-1-4', '担保合同', ''], ['10-2-1-5', '其他重大合同', ''],
                    ['10-2-2', '重大合同函证、风险调查记录', ''], ['10-3', '诉讼和担保情况', ''], ['10-3-1', '发行人关于诉讼或仲裁事项的说明', ''],
                    ['10-3-2', '发行人不存在侵权之债的承诺', ''], ['10-3-3', '与重大诉讼或仲裁事项相关的合同、协议，法院或仲裁机构受理的相关文件（若有）', ''],
                    ['10-3-4', '所有对外担保（包括抵押、质押、保证等）合同（含子公司）', ''], ['第十一章', '其他事项调查', ''],
                    ['11-1', '发行人信息披露制度的建设和执行情况调查', ''], ['11-2', '发行人与保荐机构关联关系调查', ''], ['11-3', '对其他中介机构的调查', ''],
                    ['11-4', '媒体情况核查', ''], ['11-5', '即期回报摊薄核查', ''], ['第十二章', '其他承诺事项调查', ''],
                    ['12-1', '发行人对持股5%以上股东的持股意向及减持意向的说明文件，以及持股5%以上股东分别对减持意向出具的说明文件', ''], ['12-2', '稳定公司股价的预案说明文件', ''],
                    ['12-3', '控股股东、持有发行人股份的董事和高级管理人员出具的减持股份及锁定期的承诺', ''], ['12-4', '即期回报摊薄承诺', ''],
                    ['12-5', '发行人、控股股东出具的回购承诺', ''], ['12-6', '发行人、控股股东、实际控制人、董事、监事、高级管理人员出具的赔偿损失承诺', ''],
                    ['12-7', '所有公开承诺事项的主体对于未能履行承诺时的约束措施的说明文件', ''], ['12-8', '保荐机构、会计师事务所等证券服务机构出具赔偿损失的承诺', ''],
                    ['12-9', '其他承诺事项', ''], ['第十三章', '审计截止日后及会后事项调查', ''], ['13-1', '审计截止日后主要财务信息及经营状况核查', ''],
                    ['13-2', '会后事项核查', ''], ['', '', ''], ['第一章', '会议纪要', ''], ['1-1', '定期会议（如周会）的会议资料以及会议记录', ''],
                    ['1-2', '重大事项的专题讨论会的会议资料及会议纪要', ''], ['1-3', '按照证监会保荐业务管理相关规定制作的工作日志', ''], ['第二章', '备忘录', ''],
                    ['2-1', '保荐机构就重大或专题事项出具的备忘录', ''], ['2-2', '发行人律师就重大或专题事项出具的备忘录', ''],
                    ['2-3', '会计师就重大或专题事项出具的备忘录', ''], ['2-4', '评估师就重大或专题事项出具的备忘录', ''],
                    ['2-5', '承销商律师就重大或专题事项出具的备忘录（如有）', ''], ['2-6', '其他中介机构就重大或专题事项出具的备忘录（如有）', ''],
                    ['第三章', '访谈提纲及记录', ''], ['3-1', '发行人高管访谈提纲及记录', ''], ['3-2', '发行人历史沿革相关的访谈提纲及记录（如有）', ''],
                    ['3-3', '发行人股东访谈提纲及记录', ''], ['3-4', '发行人员工访谈提纲及记录', ''], ['3-5', '利益相关方走访计划、清单及走访记录', ''],
                    ['3-6', '发行人的客户和供应商访谈提纲及记录', ''],
                    ['3-7', '与发行人的开户银行和工商、税收、土地、环保、海关等部门、行业主管部门或行业协会以及其他相关机构或部门的访谈提纲及记录', ''],
                    ['3-8', '劳务派遣公司走访计划、清单及走访记录（如有）', ''], ['3-9', '直营、经销、加盟店面走访计划、清单及走访记录（如适用）', ''],
                    ['3-10', '审慎核查其他中介机构意见记录', ''], ['第四章', '对发行人进行现场尽职调查的记录', ''],
                    ['4-1', '现场访谈及盘点、资产实地尽职调查的记录文件', ''], ['第五章', '验证版招股说明书', ''], ['5-1', '验证版招股说明书', ''],
                    ['', '', ''], ['第一章', '保荐机构内部控制文件', ''], ['1-1', '立项文件', ''], ['1-1-1', '立项申请文件', ''],
                    ['1-1-2', '审查批准文件', ''], ['1-2', '内核文件', ''], ['1-2-1', '内核会议通知（邮件通知）', ''],
                    ['1-2-2', '质量控制现场核查文件', ''], ['1-2-3', '内部审核部门意见及回复', ''], ['1-2-4', '内核会议纪要', ''],
                    ['1-2-5', '内核审批文件', ''], ['1-3', '业务协议', ''], ['1-3-1', '保密协议、框架协议、改制协议及其他', ''],
                    ['1-3-2', '辅导协议', ''], ['1-3-3', '保荐协议', ''], ['1-3-4', '承销协议', ''], ['第二章', '辅导文件', ''],
                    ['2-1', '辅导备案申请文件', ''], ['2-1-1', '辅导备案申请文件', ''], ['2-1-2', '证监局确认予以备案登记的文件', ''],
                    ['2-2', '辅导讲义', ''], ['2-3', '辅导考试试题及答卷', ''], ['2-4', '历次辅导总结报告', ''], ['2-5', '辅导验收文件', ''],
                    ['第三章', '申报文件', ''], ['1-1', '报送中国证监会发行部的发行申请文件', ''], ['', '', ''], ['第一章', '在审阶段相关文件', ''],
                    ['1-1', '更新财务数据的申报文件及相关底稿', ''], ['1-2', '发行部历次反馈意见回复及相关底稿', ''], ['1-3', '上报发审委的文件', ''],
                    ['1-4', '发审委反馈意见回复及相关底稿', ''], ['1-5', '封卷文件', ''], ['1-6', '发行批文', ''], ['', '', ''],
                    ['第一章', '询价阶段相关文件', ''], ['1-1', '路演相关材料', ''], ['1-2', '询价阶段公告文件', ''], ['1-3', '其他相关文件', ''],
                    ['第二章', '簿记阶段相关文件', ''], ['2-1', '投资者报价相关文件', ''], ['2-2', '定价会议记录', ''],
                    ['2-3', '初步询价结果及定价报告', ''], ['2-4', '发行公告', ''], ['2-5', '网下配售结果公告', ''], ['2-6', '网上中签率公告', ''],
                    ['2-7', '网上中签结果公告', ''], ['2-8', '法律意见书', ''], ['2-9', '其他备查资料', ''], ['第三章', '承销团文件', ''],
                    ['3-1', '承销团文件', ''], ['第四章', '发行总结文件', ''], ['4-1', '发行总结文件', ''],
                    ['第五章', '发行、上市申请文件及证券登记公司文件', ''], ['5-1', '发行、上市申请阶段报送证券交易所文件', ''],
                    ['5-2', '股份登记阶段报送证券登记公司文件', ''], ['', '', ''], ['第一章', '持续督导文件', ''],
                    ['1-1', '持续督导协议、持续督导人员变更及交接手续资料（如有）；', ''], ['1-2', '持续督导计划及方案；', ''],
                    ['1-3', '上市公司持续督导期间的三会文件、信息披露文件等材料；', ''], ['1-4', '上市公司募集资金管理、使用相关底稿；', ''],
                    ['1-5', '现场检查相关工作材料；', ''], ['1-6', '持续督导意见、持续督导报告等报送证监会及其派出机构、证券交易所的材料及其支撑性底稿；', ''],
                    ['1-7', '监管机构检查反馈意见及落实情况（如有）；', ''], ['1-8', '曾提出的整改建议及对持续督导对象进行问题诊断、督促检查的有关资料；', ''],
                    ['1-9', '重大问题报告表和重大事项跟踪报告等重大事项及风险事项内部报告材料；', ''], ['1-10', '持续督导工作日志；', ''],
                    ['1-11', '其他反映持续督导工作记录的材料。', ''], ['10-3-4-1', '所有对外担保（包括抵押、质押、保证等）合同（含子公司）', ''],
                    ['10-3-4-2', '对外担保说明', ''],['19-1-1-1', '11', '']]
    makedir = MkdirObject(NameList[:], indexList[:], filePath, isMakeDir,Separator, deepNum)
    makedir.getMakeDict()
